Scrollbar doesn't appear in Category pane [eg, Preferences]

VERIFIED FIXED in mozilla0.9.8

Status

()

P3
normal
VERIFIED FIXED
18 years ago
10 years ago

People

(Reporter: kazhik, Assigned: janv)

Tracking

({access, regression})

Trunk
mozilla0.9.8
access, regression
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: se-radar)

Attachments

(1 attachment)

(Reporter)

Description

18 years ago
Scrollbar doesn't appear in Category pane.

(1) Open preferences dialog.
(2) Click Advanced category. Debug category goes away. Scrollbar doesn't appear.
(3) Click Advanced category again. Scrollbar appears.
Confirming on linux trunk build 2000110308.  You have to be using the Modern
skin; the classic skin shows a scrollbar just fine.
Status: UNCONFIRMED → NEW
Ever confirmed: true
(Reporter)

Comment 2

18 years ago
The Classic also has this problem in 2000110304-Mtrunk/Win98.
jrgm, is this a known/recent regression [trunk, i assume] over in xp
toolkit/tree land?

Comment 4

18 years ago
I don't think we have a bug on this. I made a note to file a bug on this
when I noticed it while testing the skin-switching bug Saturday night, but
hadn't yet done that (so this is the bug). 

Not a skin-related issue: I see it in both skins for the trunk win2k 11-04
build. (But I do not see it in a branch build). 

-> hyatt, cc: bryner
Assignee: matt → hyatt
Component: Preferences → XP Toolkit/Widgets: Trees
QA Contact: sairuh → jrgm

Comment 5

18 years ago
*** Bug 59545 has been marked as a duplicate of this bug. ***

Comment 6

18 years ago
*** Bug 59886 has been marked as a duplicate of this bug. ***
jrgm: heh, thx for finding those dups. "deja vu? whaaa...?" ;)
Keywords: access, regression, ui
*** Bug 60146 has been marked as a duplicate of this bug. ***
*** Bug 60890 has been marked as a duplicate of this bug. ***

Comment 10

18 years ago
*** Bug 60899 has been marked as a duplicate of this bug. ***
*** Bug 61090 has been marked as a duplicate of this bug. ***
Keywords: mostfreq
Hardware: PC → All
what's the status on this?
*** Bug 61997 has been marked as a duplicate of this bug. ***
*** Bug 62213 has been marked as a duplicate of this bug. ***
hi peter --i couldn't find the bug # of the scrollbar bug we were discussing --i
presume fixing that would fix this one? thx!

Comment 16

18 years ago
->mozilla0.8.  this is hitting a lot of people, many may not ever know there are
pref panels they can't see.
Target Milestone: --- → mozilla0.8
Whiteboard: se-radar
hm, looks like the scrollbar has returned. however, seems like another issue
cropped up --see bug 63236.

Comment 18

18 years ago
scrollbar does not appear in mozilla 12/29 win2k builds.

Comment 19

18 years ago
Still happens, I can repro with build 2001010320 win32, and bug 64496 also
mentions it.
*** Bug 64913 has been marked as a duplicate of this bug. ***
*** Bug 64850 has been marked as a duplicate of this bug. ***

Comment 22

18 years ago
*** Bug 65040 has been marked as a duplicate of this bug. ***
Keywords: nsbeta1
Summary: Scrollbar doesn't appear in Category pane → Scrollbar doesn't appear in Category pane [eg, Preferences]
nominating for beta1.

Comment 24

18 years ago
->moz0.9
Target Milestone: mozilla0.8 → mozilla0.9

Comment 25

18 years ago
->bryner/p2
Assignee: hyatt → bryner
Priority: P3 → P2
Status: NEW → ASSIGNED
*** Bug 62343 has been marked as a duplicate of this bug. ***

Comment 27

18 years ago
*** Bug 69115 has been marked as a duplicate of this bug. ***
My guess is that the tree isn't correctly updating its height when the twisty is
expanded.  hyatt, any ideas?

Comment 29

18 years ago
This is still happening on 2001022808 with Modern under Linux
*** Bug 70800 has been marked as a duplicate of this bug. ***
*** Bug 71380 has been marked as a duplicate of this bug. ***
Target Milestone: mozilla0.9 → mozilla0.9.1
*** Bug 73366 has been marked as a duplicate of this bug. ***
FreeBSD 4.1 20010329xx (trunk)

Modern theme.  Happens.  Also happens in 0.8.1 win32.  I noted that playing
around with it, closing and reopening things, eventually it started appearing,
and after that would appear and disappear correctly.

When did this move to 0.9.1?  Given that it's a P2?

This bug has been reported around 20 times, not to mention the number of times
people probably didn't report it because they saw it was already known (like
me).
Keywords: nsCatFood, nsdogfood
Instead of creating a dup, I'd like to report that I'm seeing it too ... Win32 
2001032904 Modern skin.  I've been seeing this for a while now.

Bug 63236 is probably an extension of this bug, in that most likely the 
Category dialog is just not calculating its size correctly for the scrollbar to 
work with--so when you sometimes get a scrollbar but it's not long enough (I 
have gotten this before as well), you're seeing the same problem.
*** Bug 74551 has been marked as a duplicate of this bug. ***
Note that somebody thinks bug 63236 is a different bug ... I think it's the same
... they're talking about the scrollbar being there, but not being long enough.

Comment 37

18 years ago
*** Bug 77493 has been marked as a duplicate of this bug. ***

Comment 38

18 years ago
*** Bug 60533 has been marked as a duplicate of this bug. ***

Updated

18 years ago
Target Milestone: mozilla0.9.1 → mozilla0.9.2
*** Bug 78531 has been marked as a duplicate of this bug. ***
While we're on the subject, when you resize the Prefs window the scrollbar 
doesn't recalculate either.

Comment 41

18 years ago
I'm using the latest release, build ID: 2001050515 on Windows 2000 Pro SP1. When
you open up the preferences, and start expanding all the trees, the scrollbar
does not appear unless you collapse some of the trees and then re-expand them. 
Also, I don't know if this is related, but 2 of the 4 times I tried this,
mozilla crashed, giving this error:

mozilla.exe - application error

The instruction at "0x02f55a74" referenced memory at "0xfffffff5".  The memory
could not be "written".

Comment 42

18 years ago
*** Bug 79824 has been marked as a duplicate of this bug. ***

Comment 43

18 years ago
*** Bug 80204 has been marked as a duplicate of this bug. ***

Comment 44

18 years ago
*** Bug 80563 has been marked as a duplicate of this bug. ***

Comment 45

18 years ago
I can reproduce this on build 2001050521, on both the Linux build (linux kernel
2.4) and the win32 build (Windows NT4 SP4). Maybe that helps?
*** Bug 80864 has been marked as a duplicate of this bug. ***
(Reporter)

Comment 47

18 years ago
WFM with the recent Linux and Win32 builds.

Updated

18 years ago
Blocks: 79151
This is now working for me too, surprisingly enough.  Can anyone else reproduce
it still?

Comment 49

18 years ago
Not fully WFM in fact...

Try to expand the categories starting from the top, all the way down to Debug
menu.  You'll find that the scroll bar doesn't grow accordingly when you reach
at around "Advanced" or "Debug" category.

Comment 50

18 years ago
Doesn't WFM either. id# 052708, Win98.

Steps (using mouse only):

1. Menu Edit->Preferences
2. Appearance is already open. Open Navigator, Composer, Mail and Newsgroups,
Privacy and Security.
3. Now you can't see Advanced. Click 4 times the down arrow, so that you'll see
Advanced again.
4. Open Advanced. Scrollbar doesn't update accordinly!

Updated

18 years ago
Blocks: 65632
Wait, lets not morph the bug.  The bug is about whether the scrollbar _appears_ 
when the list grows too long to fit in the visible area, not whether it updates 
correctly.

Comment 52

18 years ago
*** Bug 83132 has been marked as a duplicate of this bug. ***

Comment 53

18 years ago
The bug for me:
When you expand the categories starting from the top, all the way down to the 
Debug
menu, the scroll bar doesn't appear when you reach at around "Advanced" 
or "Debug" category.

This is reproducable for me on the 2001050515 build on both the Win32 and Linux 
builds

Works like this for me:

Open/Expand Navigator with the mouse
Open/Expand Privacy
Open/Expand Composer 
Open/Expand Mail
Open/Expand Advanced
Open/Expand Debug

The scrollbar does not appear.


But when you try it the other way around, and start expanding at the bottom 
instead of at the top, the scrollbar does appear at around the time you get 
to 'Navigator'

Works like this for me:

Close/Unexpand Appearence with the mouse (its expanded by default)
Open/Expand Appearence 
Open/Expand Navigator
Open/Expand Privacy
Open/Expand Composer
Open/Expand Mail
Open/Expand Advanced
Open/Expand Debug

The scrollbar now does appear.


Maybe this helps ?

Comment 54

18 years ago
This doesn't fit the profile for 0.9.2, but a fix might be considered for
'limbo'.  -)0.9.3
Priority: P2 → P3
Target Milestone: mozilla0.9.2 → mozilla0.9.3

Comment 55

18 years ago
Linux CVS from the 8th:
this worked again for a period, but recently (?) regressed again:
The scrollbar now appears, but you as you open new categories it can't scroll 
far enough down - it doesn't scale to fit what's really unfolded.
Bug 84963 was just filed. Dup?

Comment 56

18 years ago
*** Bug 84963 has been marked as a duplicate of this bug. ***

Comment 57

18 years ago
*** Bug 85571 has been marked as a duplicate of this bug. ***
*** Bug 85676 has been marked as a duplicate of this bug. ***

Comment 59

18 years ago
Repro on Win98

User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:0.9.1+) Gecko/20010613
Build: 2001061304 

Steps to reproduce:
1. Select Edit->Preferences with mouse
2. Select any non-opened categories with mouse in order of appearance.  
3. Scrollbar does not appear. 

Tied to <ahref="http://bugzilla.mozilla.org/show_bug.cgi?id=52298">52298 </a>
and <ahref="http://bugzilla.mozilla.org/show_bug.cgi?id=63236">63236</a>.

If appearance/length of scrollbars is driven by the length of the tree display,
then this bug, 52298, and 63236 are one and the same, since it's a problem with
the tree length just not getting to the scrollbar code or that code not doing
the right thing with the value. 

Comment 60

18 years ago
*** Bug 86804 has been marked as a duplicate of this bug. ***

Comment 61

18 years ago
*** Bug 87512 has been marked as a duplicate of this bug. ***

Comment 62

18 years ago
*** Bug 87613 has been marked as a duplicate of this bug. ***
*** Bug 87732 has been marked as a duplicate of this bug. ***

Comment 64

18 years ago
*** Bug 88203 has been marked as a duplicate of this bug. ***

Comment 65

18 years ago
Still valid for 2001062815. Any chance this will get fixed ? =)
*** Bug 88495 has been marked as a duplicate of this bug. ***

Comment 67

18 years ago
*** Bug 89010 has been marked as a duplicate of this bug. ***

Comment 68

18 years ago
Dupe of bug 52298?
Also lots of dupes to that
bug 63236
<warning first bug report>

This is especially annoying in preferences/category because when I open so much
preferences  (from top to bottom) that they don't fit in the window, and then
try to close the first subtree (appearance), I get an "illegal operation" error
and the program crashes. Closing a subtree when the content still fits in the
pane doesn't result in a crash.

I'm using Mozilla 0.9.2, build 2001062815, with a custom install (ChatZilla and
TalkBack agent not installed) using the modern skin, on a intel PIII 900 MHz,
192 MB Ram, with no other programs opened.

Comment 70

18 years ago
The bug you are refering to already exists : Bug #86723

Comment 71

18 years ago
*** Bug 90024 has been marked as a duplicate of this bug. ***

Comment 72

18 years ago
*** Bug 90119 has been marked as a duplicate of this bug. ***
Target Milestone: mozilla0.9.3 → mozilla0.9.4

Comment 73

18 years ago
I'm seeing this in 2001072303 Win98.

Expand Advanced root, then expand Privacy/Security root. Scrollbar is not drawn
even though it is badly needed. It seems like the scrollbar will only react to
the length of a branch if it is closed and reopened. Maybe all the trees should
start out expanded, and be collapsed behind the scenes (i.e., before the prefs
window becomes visible)?

A bug that is this visible should not exist as long as this has. Suggest
assignee reconsider priority of this bug to other assigned bugs.

Comment 74

18 years ago
This bug was opened on 2000-11-04...

Dont mean to nag or nuttin, but ... 

Is this thing *ever* gonna get fixed or what ?

Comment 75

18 years ago
*** Bug 93007 has been marked as a duplicate of this bug. ***

Comment 76

18 years ago
*** Bug 90023 has been marked as a duplicate of this bug. ***

Comment 77

18 years ago
Persists on Linux 0.9.3 (2001080104).


Steps: the same as in "------- Additional Comments From mdimitrio@yahoo.com
2001-05-28 10:10 -------"

Comment 78

17 years ago
This bug occurs in any of the supplied Themes. The arrow keys DO allow you to
move down the list of items in th eCategory window but DO NOT allow you to see
what you are scrolling. This is a temporary solution until the bug is fixed.

Comment 79

17 years ago
My system crashed when I tried to contract an item on the Category list.. Here's
a crash report generated by my computer when this occurred...


  ************************************************
  *          Quincy for Win32  Rev 2.01          *
  *  Copyright 1995-7, Lotus Development Corp.   *
  *             All rights reserved              *
  *          Abnormal Termination Report         *
  ************************************************
Portions Copyright (C) 1985-1993 Microsoft Corp. All rights reserved.

Quincy has detected the following fatal exception
Please report this crash to the vendor of the faulting application:
 App: mozilla.dbg (PID=0xB6) ""
 When: 8/9/2001 @ 12:34:38.551
 Exception Number: 0xC0000005 (access violation)
 Exception Flags:  0x00000000 (continuable)
 Notes Build: Release 4.6.6c|January 14, 2000             

State Dump for Thread ID 0xAC

EAX: 0280CCB4 EBX: 0012E028 ECX: 0012DFD4 EDX: 60F07624 ESI: 0280CCB4 EDI: 00000000
EIP: 603E8CC9 ESP: 0012DF78 EBP: 0012DF84 IOPL: 0         nv up ei pl nz na po nc
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 0038  GS: 0000             EFL: 00000206


---------- Code Disassembly ----------
function: <nosymbols>+0000
        603e8cb3 0023             add     [ebx],ah                    
ds:0012e028=34
        603e8cb5 2530327825       and     eax,0x25783230
        603e8cba 3032             xor     [edx],dh                    
ds:60f07624=a9
        603e8cbc 7825             js      603e8ce3
        603e8cbe 3032             xor     [edx],dh                    
ds:60f07624=a9
        603e8cc0 7800             js      603e8cc2
        603e8cc2 0000             add     [eax],al                    
ds:0280ccb4=80
        603e8cc4 0000             add     [eax],al                    
ds:0280ccb4=80
        603e8cc6 0000             add     [eax],al                    
ds:0280ccb4=80
        603e8cc8 5a               pop     edx
FAULT ->603e8cc9 6b2f16           imul    ebp,[edi],0x16        
ds:00000000=????????
        603e8ccc 26f9             stc
        603e8cce d311             rcl     dword ptr [ecx],cl    
ds:0012dfd4=0280ccb4
        603e8cd0 ba06001083       mov     edx,0x83100006
        603e8cd5 023c1e           add     bh,[esi+ebx]                
ds:0012e028=34
        603e8cd8 666f             outsw
        603e8cda 6e               outsb
        603e8cdb 742e             jz      603e8d0b
        603e8cdd 696e7465726e61   imul ebp,[esi+0x74],0x616e7265
ds:03fab8d2=????????
        603e8ce4 6c               insb
        603e8ce5 7573             jnz     603e8d5a
        603e8ce7 656f             outsd

---------- Top of the Stack ----------
0012DF78  603E8CC8 0012DF8C 0280CCB4 0012DFE0  |..>`............|

---------- Stack Back Trace ----------
Stopped at 603E8CC9 (0001:000C7CC9 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012DF84  0012DFE0 6036A0A1 0012DFC4 603E8CC8  |......6`......>`|
0012DF94  00000001 00000000 0012DFD8 6036C712  |..............6`|
0012DFA4  035C62F0 035A1AB0 03631F60 60F075EA  |.b\...Z.`.c..u.`|
0012DFB4  035B25A0 6036C728 00000002 00000000  |.%[.(.6`........|
0012DFC4  60F3D458 0280CCB4 0012DFD4 035B25A0  |X..`.........%[.|
0012DFD4  0280CCB4 0012E008 00000000 0012E008  |................|

Called from 6036A0A1 (0001:000490A1 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012DFE0  0012E008 6036A336 035A1AB0 00000000  |....6.6`..Z.....|
0012DFF0  00000000 00000000 03631F60 035A1AB0  |........`.c...Z.|
0012E000  0360F5E0 00000005 0012E0E8 6036AF79  |..`.........y.6`|

Called from 6036A336 (0001:00049336 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012E008  0012E0E8 6036AF79 035A51C0 0280CCB4  |....y.6`.QZ.....|
0012E018  035A1AB0 035B25A0 035A5200 035B25A8  |..Z..%[..RZ..%[.|
0012E028  0012E034 0000000A 00000003 0280C7DC  |4...............|
0012E038  03631F60 00000003 0280CCB4 0360F5E0  |`.c...........`.|
0012E048  00000005 02865428 03631E10 00000006  |....(T....c.....|
0012E058  60D2C936 01DEF4D0 01DEF4D0 0012E0B8  |6..`............|
0012E068  00000000 01DEF4D0 60D323CC 60F0AA81  |.........#.`...`|
0012E078  035D6BC0 60EE153D 0012E0E0 035D6BC0  |.k].=..`.....k].|
0012E088  03632328 0012E0E0 0012E0E8 0012E1AC  |(#c.............|
0012E098  60EE18A6 03632328 035B0B00 0012E0E0  |...`(#c...[.....|
0012E0A8  0012E0E0 035ACE60 03632320 60F0ABBE  |....`.Z. #c....`|
0012E0B8  00000001 00000000 035ACE60 035ACE60  |........`.Z.`.Z.|
0012E0C8  00000001 00000000 00000000 035B25A0  |.............%[.|
0012E0D8  035B46B0 0280C7DC 00000000 00000000  |.F[.............|

Called from 6036AF79 (0001:00049F79 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012E0E8  0012E108 601EC3C5 035A51C0 03631F60  |.......`.QZ.`.c.|
0012E0F8  00000003 00000000 013EF240 00000003  |........@.>.....|

Called from 601EC3C5 (0001:0001B3C5 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012E108  0012E130 603406A6 035A5200 035A1AB0  |0.....4`.RZ...Z.|
0012E118  03631F60 00000000 013EF240 FFFFFFFF  |`.c.....@.>.....|
0012E128  60F0B4DC 80000000 0012E294 60257673  |...`........sv%`|

Called from 603406A6 (0001:0001F6A6 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012E130  0012E294 60257673 035B25A8 035AEAB0  |....sv%`.%[...Z.|
0012E140  03631F60 00000000 013EF240 FFFFFFFF  |`.c.....@.>.....|
0012E150  028821E0 03631F60 00000000 035AEAB0  |.!..`.c.......Z.|
0012E160  605AAB78 0012E184 0012E1B0 60F07624  |x.Z`........$v.`|
0012E170  0012E1A4 602562AC 03336EC0 0012E368  |.....b%`.n3.h...|
0012E180  60F075EA 035AEAB0 6059508E 600B8790  |.u.`..Z..PY`...`|
0012E190  00000000 027B89A8 0012E1C0 60F04B78  |......{.....xK.`|
0012E1A0  0012E224 00000003 00000000 0012E224  |$...........$...|
0012E1B0  60F35610 0012E1DC 60F04B53 0012E210  |.V.`....SK.`....|
0012E1C0  00000003 00000000 0012E210 60F068AE  |.............h.`|
0012E1D0  0012E210 01498708 00000004 0012E250  |......I.....P...|
0012E1E0  60F3577E 00000000 0012E2BC 0012E264  |~W.`........d...|
0012E1F0  60F415D0 60F34457 0012E210 0012E238  |...`WD.`....8...|
0012E200  0012E224 60F415D0 0012E2BC 00000000  |$......`........|
0012E210  01498708 01498710 00000000 01498710  |..I...I.......I.|
0012E220  0012E264 605946D4 60F0AA81 026BD8B0  |d....FY`...`..k.|
0012E230  60EE153D 0012E294 026BD8B0 03632328  |=..`......k.(#c.|
0012E240  0012E294 0012E29C 00000000 60EE18A6  |...............`|
0012E250  03632328 03631F60 0012E294 0012E294  |(#c.`.c.........|
0012E260  028821E0 03632320 60F0ABBE 03632328  |.!.. #c....`(#c.|
0012E270  0012E294 028821E0 035ACE60 60F0B237  |.....!..`.Z.7..`|
0012E280  0012E298 6027B1E6 0012E448 00000007  |......'`H.......|
0012E290  00000001 0012E448 602B7716 035AEAB0  |....H....w+`..Z.|

Called from 60257673 (0001:00086673 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012E294  0012E448 602B7716 035AEAB0 03631F60  |H....w+`..Z.`.c.|
0012E2A4  00000000 013EF240 FFFFFFFF 0012E4A0  |....@.>.........|
0012E2B4  03631F60 01D2E70F 60F415D0 00000004  |`.c........`....|
0012E2C4  0000003F 00000001 00000000 0012E2D4  |?...............|
0012E2D4  00720074 00650075 600B0000 01428180  |t.r.u.e....`..B.|
0012E2E4  0283B498 0012E430 00000000 60D0C6C8  |....0..........`|
0012E2F4  0012E330 600B4E34 03597310 02814C80  |0...4N.`.sY..L..|
0012E304  0012E430 00000000 0012E598 01417820  |0........... xA.|
0012E314  00000003 00000000 0012E364 60F068AE  |........d....h.`|
0012E324  01417820 02814C80 00000004 0012E434  | xA..L......4...|
0012E334  60E47BCA 01428190 600B7530 01428190  |.{.`..B.0u.`..B.|
0012E344  80000000 60F075EA 01428180 600B3686  |.....u.`..B..6.`|
0012E354  03631F60 0012E598 600B8848 028821E0  |`.c.....H..`.!..|
0012E364  01498708 01498710 00000000 01498710  |..I...I.......I.|
0012E374  0012E3B8 05AD6BF0 00000003 0000001C  |.....k..........|
0012E384  00000000 F7FFFFFF 00000030 78001DE8  |........0......x|
0012E394  7803B600 0012E3D4 7800CD1B 00000009  |...x.......x....|
0012E3A4  7800CD04 00000003 05AD6D60 00000000  |...x....`m......|
0012E3B4  00000000 05AD6C10 60F068AE 0012E438  |.....l...h.`8...|
0012E3C4  0012FFB0 60C0C09F 00B27C98 00B27C98  |.......`.|...|..|
0012E3D4  00B27C98 00000003 05AD6D60 0012E428  |.|......`m..(...|
0012E3E4  00000000 60C0BCE5 05AD6D60 60F37405  |.......``m...t.`|
0012E3F4  03572560 00000000 602017BE 00000001  |`%W....... `....|
0012E404  602017D4 00000003 03572560 00000001  |.. `....`%W.....|
0012E414  60F3D474 60F3D474 0012E44C 60E47BBA  |t..`t..`L....{.`|
0012E424  03572564 601E24F1 03572564 013EF5E0  |d%W..$.`d%W...>.|
0012E434  03572560 0012E46C 60E47BBA 026BD8C0  |`%W.l....{.`..k.|
0012E444  035ACE60 0012E46C 602B4A12 013EF5E0  |`.Z.l....J+`..>.|

Called from 602B7716 (0001:000E6716 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012E448  0012E46C 602B4A12 013EF5E0 00000000  |l....J+`..>.....|
0012E458  013EF240 00000001 0012E598 03572560  |@.>.........`%W.|
0012E468  013EF240 0012E47C 60F2E183 00000000  |@.>.|......`....|

Called from 602B4A12 (0001:000E3A12 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012E46C  0012E47C 60F2E183 00000000 05AD6D60  ||......`....`m..|

Called from 60F2E183 (0001:0002D183 in xpcom.dbg)  Base=0x60f00000 RVA=0x00001000
0012E47C  0012E57C 60C108CD 03631F64 0000001F  ||......`d.c.....|
0012E48C  00000001 0012E4A0 00000000 03597310  |.............sY.|
0012E49C  0283B4F0 05AD6D60 60C0C3B1 013F20DC  |....`m.....`. ?.|
0012E4AC  000010AF 05AD6D40 60C029D1 013F20D0  |....@m...).`. ?.|
0012E4BC  000010AF 60C13E4C 00000000 03597310  |....L>.`.....sY.|
0012E4CC  02814C90 60C16BB8 00000000 00000006  |.L...k.`........|
0012E4DC  00000000 014280B0 03595530 03597310  |......B.0UY..sY.|
0012E4EC  00000000 00000001 00000000 00000000  |................|
0012E4FC  02901370 02901370 02901370 05AD7390  |p...p...p....s..|
0012E50C  05AD6DA0 035CC3D0 027B8DD0 60C0FD6A  |.m....\...{.j..`|
0012E51C  0283B488 03631F64 00000000 03597310  |....d.c......sY.|
0012E52C  00B26DF4 03595530 0FDC5AC8 00B27C9C  |.m..0UY..Z...|..|
0012E53C  02814CF4 0012E598 03597310 00000000  |.L.......sY.....|
0012E54C  00882A20 0012E574 01D2E624 0359001F  | *..t...$.....Y.|
0012E55C  013F2010 00000000 80570009 00000000  |. ?.......W.....|
0012E56C  00000001 0012E4A0 00000000 00000001  |................|

Called from 60C108CD (0001:0000F8CD in xpc3250.dbg)  Base=0x60c00000 RVA=0x00001000
0012E57C  0012E608 60C13D5C 01000000 AF83B488  |....\=.`........|
0012E58C  00000000 03597310 02814CF8 60C16BB8  |.....sY..L...k.`|
0012E59C  00000000 00000006 013F20D0 014280B0  |......... ?...B.|
0012E5AC  03595530 03597310 00000000 00000001  |0UY..sY.........|
0012E5BC  00000000 00000000 0283B488 0283B488  |................|
0012E5CC  0283B488 026BF6D0 02FE66C0 035CC3D0  |......k..f....\.|
0012E5DC  022C09A0 0149F410 0149F560 00B26DF4  |..,...I.`.I..m..|
0012E5EC  0012E630 00000001 02814CF4 0012E654  |0........L..T...|
0012E5FC  00000000 00000000 0000001F 0012E6B4  |................|

Called from 60C13D5C (0001:00012D5C in xpc3250.dbg)  Base=0x60c00000 RVA=0x00001000
0012E608  0012E6B4 60D18244 03597310 0283B488  |....D..`.sY.....|
0012E618  00000001 0149F560 0149F410 03597310  |....`.I...I..sY.|
0012E628  02814CF8 60D45560 014AEDC0 00000000  |.L..`U.`..J.....|
0012E638  00000000 00000000 00000000 026985A0  |..............i.|
0012E648  0283B488 00000001 02814CF4 80000001  |.........L......|
0012E658  00000000 02814CF8 02814C80 00000000  |.....L...L......|
0012E668  0283B490 00000000 02814CF8 02814CF8  |.........L...L..|
0012E678  00000000 00000000 60000000 00000000  |...........`....|
0012E688  027B8DD0 026985A0 02814C80 00000000  |..{...i..L......|
0012E698  02814CEC 60C13CCE 0283B4F0 00000000  |.L...<.`........|
0012E6A8  00000000 02814CFC 02814CF8 0012E81C  |.....L...L......|

Called from 60D18244 (0001:00017244 in js3250.dbg)  Base=0x60d00000 RVA=0x00001000
0012E6B4  0012E81C 60D1D0AB 00000001 00000001  |.......`........|
0012E6C4  00000000 02814C68 03597310 02814C68  |....hL...sY.hL..|
0012E6D4  FFFFFFFF 0012E704 00000000 0012E740  |............@...|
0012E6E4  00001000 00000004 00800000 00002020  |............  ..|
0012E6F4  00800003 00800000 00002020 00800000  |........  ......|
0012E704  02814C38 00800003 00000000 00000000  |8L..............|
0012E714  1003E750 0012E750 77F64163 00800000  |P...P...cA.w....|
0012E724  02814C38 00000000 00000404 028B0C20  |8L.......... ...|
0012E734  02814C68 00000003 00000009 00000679  |hL..........y...|
0012E744  0000004C 00000000 10597310 0012E818  |L........sY.....|
0012E754  77F64876 77F64CB1 00800548 03597328  |vH.w.L.wH...(sY.|
0012E764  00002013 00002013 78001DE8 02814C80  |. ... .....x.L..|
0012E774  0012E7B0 7800CD1B 00000009 7800CD04  |.......x.......x|
0012E784  00000000 60F0AA81 035D6BC0 60EE153D  |.......`.k].=..`|
0012E794  00000000 036089CA 00000001 0012E7F4  |......`.........|
0012E7A4  605921E8 00000004 00000003 03632328  |.!Y`........(#c.|
0012E7B4  035B0B00 0012E7F4 0012E7F4 00B22C58  |..[.........X,..|
0012E7C4  00000004 00000001 02814C80 03608940  |.........L..@.`.|
0012E7D4  02814CEC 00000000 60F0B22B 601E0F83  |.L......+..`...`|
0012E7E4  601E0F8F 02814CEC 00000004 0283B4F0  |...`.L..........|
0012E7F4  00000004 014AEDC0 0012E858 00000000  |......J.X.......|
0012E804  00000001 00000001 036089B4 0283B4F0  |..........`.....|
0012E814  0283B4F0 00000001 0012E8BC 60D18282  |...............`|

Called from 60D1D0AB (0001:0001C0AB in js3250.dbg)  Base=0x60d00000 RVA=0x00001000
0012E81C  0012E8BC 60D18282 03597310 0012E8A8  |.......`.sY.....|
0012E82C  00000001 0012E8DC 03597310 60D0254D  |.........sY.M%.`|
0012E83C  00000000 00000000 00000000 05AD6C40  |............@l..|
0012E84C  05AD4180 027B8F20 00000001 02814C60  |.A.. .{.....`L..|
0012E85C  80000001 00000001 02814C64 0012E8DC  |........dL......|
0012E86C  00000000 027B8F20 05AD6CA6 02814C7C  |.... .{..l..|L..|
0012E87C  02814C74 00000000 00000000 00000000  |tL..............|
0012E88C  00000000 027B8F20 05AD4180 0012E8DC  |.... .{..A......|
0012E89C  05AD6C40 02814C58 00000000 80000001  |@l..XL..........|
0012E8AC  00000000 00000000 02814C64 02814C64  |........dL..dL..|

Called from 60D18282 (0001:00017282 in js3250.dbg)  Base=0x60d00000 RVA=0x00001000
0012E8BC  0012E93C 60D18509 00000001 00000001  |<......`........|
0012E8CC  00000002 80000000 03593450 00000000  |........P4Y.....|
0012E8DC  00000000 00000000 00000000 00000000  |................|
0012E8EC  00000000 00000000 00000000 00000000  |................|
0012E8FC  00000000 00000000 00000000 00000000  |................|
0012E90C  00000000 00000000 00000000 02814C64  |............dL..|
0012E91C  00000000 00000000 00000000 00000000  |................|
0012E92C  00000000 00000000 00000000 03597338  |............8sY.|

Called from 60D18509 (0001:00017509 in js3250.dbg)  Base=0x60d00000 RVA=0x00001000
0012E93C  0012E960 60D046E2 00000000 027B8F20  |`....F.`.... .{.|
0012E94C  029013D0 00000000 00000001 0012EA88  |................|
0012E95C  0012E9B8 0012E9A8 60593456 03597310  |........V4Y`.sY.|

Called from 60D046E2 (0001:000036E2 in js3250.dbg)  Base=0x60d00000 RVA=0x00001000
0012E960  0012E9A8 60593456 03597310 027B8F20  |....V4Y`.sY. .{.|
0012E970  029013D0 00000001 0012EA88 0012E9B8  |................|
0012E980  03593450 80000000 00000000 60F3DFE0  |P4Y............`|
0012E990  605AF0A8 00000000 0012E9A4 03593450  |..Z`........P4Y.|
0012E9A0  01417820 00000000 0012EAA4 605A9256  | xA.........V.Z`|

Called from 60593456 (0001:00002456 in jsdom.dbg)  Base=0x60590000 RVA=0x00001000
0012E9A8  0012EAA4 605A9256 013F4850 027B8F20  |....V.Z`PH?. .{.|
0012E9B8  029013D0 00000001 0012EA88 0012EA84  |................|
0012E9C8  00000000 03597310 80000000 00000000  |.....sY.........|
0012E9D8  60F415D0 0000000A 0000003F 00000001  |...`....?.......|
0012E9E8  00000000 0012E9F0 006E006F 00620078  |........o.n.x.b.|
0012E9F8  0063006C 0069006C 006B0063 60E50000  |l.c.l.i.c.k....`|
0012EA08  00813A7C 60E530A2 00813A7C 60E5273C  ||:...0.`|:..<'.`|
0012EA18  03597310 0000001C 00000000 DFFFFFFF  |.sY.............|
0012EA28  00000030 78001DE8 7803B600 0012EA70  |0......x...xp...|
0012EA38  7800CD1B 00000009 7800CD04 03597310  |...x.......x.sY.|
0012EA48  80000000 00000000 00000001 05AD4B00  |.............K..|
0012EA58  60F24EC6 00812010 0012FFB0 7800F56A  |.N.`. ......j..x|
0012EA68  78033238 605A900C 60F3DFC4 605AA5F0  |82.x..Z`...`..Z`|
0012EA78  00000000 0012EA9C 013F20D0 05AD75F4  |......... ?..u..|
0012EA88  029013B0 029013B0 029013D0 013F20D0  |............. ?.|
0012EA98  027B8F20 00000000 05AD4110 0012EEC4  | .{......A......|

Called from 605A9256 (0001:00018256 in jsdom.dbg)  Base=0x60590000 RVA=0x00001000
0012EAA4  0012EEC4 6027F892 03597310 05AD4244  |......'`.sY.DB..|
0012EAB4  0012F82C 0329E820 05AD4244 0012EB04  |,... .).DB......|
0012EAC4  7800CC63 00000009 7800CC4A 05AD75F8  |c..x....J..x.u..|
0012EAD4  008136A0 008136A0 03597310 01DEF4C0  |.6...6...sY.....|
0012EAE4  00000000 00801E7C 05AD75F0 05AD75F0  |....|....u...u..|
0012EAF4  00000000 028F8974 00000001 78001DE8  |....t..........x|
0012EB04  036353C8 0012EB5C 0012EB64 0012FB24  |.Sc.\...d...$...|
0012EB14  60EE18A6 036353C8 035C46F0 0012EB5C  |...`.Sc..F\.\...|
0012EB24  0012EB5C 00000000 036353C0 00000000  |\........Sc.....|
0012EB34  00000000 00000000 00000000 035ACE60  |............`.Z.|
0012EB44  03631E88 60F3D458 03631E88 00000000  |..c.X..`..c.....|
0012EB54  035ACE60 0012ECE0 602B822C 00000000  |`.Z.....,.+`....|
0012EB64  035A1AB0 0012FB24 60F075EA 03631E80  |..Z.$....u.`..c.|
0012EB74  602B82EC 00000000 0012F8F8 0012FB24  |..+`........$...|
0012EB84  0329E940 05AD4984 0012F6A8 0012EBD4  |@.)..I..........|
0012EB94  0012EBBC 60F075CA 036353C8 0012EBF4  |.....u.`.Sc.....|
0012EBA4  0012EBFC 0012FB24 60EE18A6 036353C8  |....$......`.Sc.|
0012EBB4  035C46F0 0012EBF4 0012EBF4 036353C8  |.F\..........Sc.|
0012EBC4  0012EC18 0012EC20 0012F910 60EE18A6  |.... ..........`|
0012EBD4  036353C8 0012ED98 6028B23E 00000000  |.Sc.....>.(`....|
0012EBE4  00000001 0012EC10 60F3B19F 60F415D0  |...........`...`|
0012EBF4  00000005 0000003F 00000001 00000000  |....?...........|
0012EC04  0012EC08 006C0063 00630069 0000006B  |....c.l.i.c.k...|
0012EC14  00000000 0000003F 00000001 00000000  |....?...........|
0012EC24  00000000 60F00000 03631E80 602B82EC  |.......`..c...+`|
0012EC34  00000000 035C62F0 0012F910 0012EC98  |.....b\.........|
0012EC44  0012FAC8 60EE18A6 03597AC4 03593450  |.......`.zY.P4Y.|
0012EC54  00000000 00000000 0012EC8C 60257E62  |............b~%`|
0012EC64  035952C0 035A1AB0 0012FAC8 0012F8A4  |.RY...Z.........|
0012EC74  00000002 0012FA90 00000000 035AEAB0  |..............Z.|
0012EC84  0012FAC8 60F415D0 0000000A 0000003F  |.......`....?...|
0012EC94  00000001 00000000 0012ECA0 006E006F  |............o.n.|
0012ECA4  00620078 0063006C 0069006C 006B0063  |x.b.l.c.l.i.c.k.|
0012ECB4  03630000 00000000 00000000 00000000  |..c.............|
0012ECC4  00000000 035ACE60 03631E88 60F3D458  |....`.Z...c.X..`|
0012ECD4  03631E88 00000000 035ACE60 0012EE68  |..c.....`.Z.h...|
0012ECE4  602B822C 035B0B00 035A1AB0 0012FB24  |,.+`..[...Z.$...|
0012ECF4  60F075EA 03631E80 602B82EC 00000000  |.u.`..c...+`....|
0012ED04  0012F8F8 0012FB24 6028F739 05AD4980  |....$...9.(`.I..|
0012ED14  0012F6A8 0012ED5C 0012ED44 60F415D0  |....\...D......`|
0012ED24  00000000 0000003F 00000001 00000000  |....?...........|
0012ED34  0012ED38 03630000 035C0E90 0012ED7C  |8.....c...\.|...|
0012ED44  0012ED7C 036353C8 0012EDA0 0012EDA8  ||....Sc.........|
0012ED54  0012F910 60EE18A6 036353C8 0012EF20  |.......`.Sc. ...|
0012ED64  60F38D21 0012ED9C 00000001 0012ED98  |!..`............|
0012ED74  60F3B19F 0012ED9C 60F37EDC 60F075EA  |...`.....~.`.u.`|
0012ED84  0590E460 6028E345 00000000 035E45A0  |`...E.(`.....E^.|
0012ED94  0012F910 60F3D474 00000000 0000003F  |....t..`....?...|
0012EDA4  00000001 00000000 00000000 60F00000  |...............`|
0012EDB4  03631E80 60F415D0 000000F2 000000FC  |..c....`........|
0012EDC4  00000001 00000001 05AD6DF0 60EE0000  |.........m.....`|
0012EDD4  036353C8 035C46F0 0012EE18 0012EE18  |.Sc..F\.........|
0012EDE4  00000000 036353C0 60F3D474 00000000  |.....Sc.t..`....|
0012EDF4  0000003F 00000001 00000000 00000000  |?...............|
0012EE04  60F30000 03631F18 00000000 035ACE60  |...`..c.....`.Z.|
0012EE14  036353C8 0012EE6C 0012EE74 0012FB24  |.Sc.l...t...$...|
0012EE24  60EE18A6 036353C8 035C62F0 0012EE6C  |...`.Sc..b\.l...|
0012EE34  0012EE6C 00000000 036353C0 00000000  |l........Sc.....|
0012EE44  00000000 00000000 00000000 035ACE60  |............`.Z.|
0012EE54  03631E88 029013C8 0142AEA0 05AD4B04  |..c.......B..K..|
0012EE64  05AD4B00 027B8F20 602B822C 035C46F0  |.K.. .{.,.+`.F\.|
0012EE74  05AD75F0 0012FB24 00000000 03631E80  |.u..$.........c.|
0012EE84  00000000 00000000 03593450 00000000  |........P4Y.....|
0012EE94  05AD4240 0012F82C 60F3DFC4 60F3D458  |@B..,......`X..`|

Called from 6027F892 (0001:000AE892 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012EEC4  0012EEF0 602834E5 035952C0 03631FB8  |.....4(`.RY...c.|
0012EED4  05AD4244 00000002 035EF640 60F3D458  |DB......@.^.X..`|
0012EEE4  05AD4244 00000000 00000001 0012F0A8  |DB..............|

Called from 602834E5 (0001:000B24E5 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012EEF0  0012F0A8 6028352F 014A8EC0 05AD4244  |..../5(`..J.DB..|
0012EF00  05AD4244 03631FB8 6028D6DA 035E8470  |DB....c...(`p.^.|
0012EF10  05AD4244 00000000 03631FB0 0012F910  |DB........c.....|
0012EF20  60F415D0 00000000 0000003F 00000001  |...`....?.......|
0012EF30  00000000 0012EF38 60F00000 03631E80  |....8......`..c.|
0012EF40  602B82EC 00000000 03631FB0 0012F910  |..+`......c.....|
0012EF50  00000000 0012FAC8 03593450 6028F739  |........P4Y.9.(`|
0012EF60  05AD4980 0012F8F8 0012EFAC 0012EF94  |.I..............|
0012EF70  60F075CA 05AD4980 602C6300 0012EF9C  |.u.`.I...c,`....|
0012EF80  0012F8F8 0329E820 05AD4984 0012EFBC  |.... .)..I......|
0012EF90  602834D5 0329E820 60F075EA 036353C8  |.4(` .)..u.`.Sc.|
0012EFA0  0012EFF4 0012EFFC 0012FB24 60EE18A6  |........$......`|
0012EFB0  036353C8 035E45A0 0012EFF4 0012EFF4  |.Sc..E^.........|
0012EFC0  00000000 036353C0 00000000 00000000  |.....Sc.........|
0012EFD0  00000000 00000000 035ACE60 03631E88  |........`.Z...c.|
0012EFE0  60F3D458 03631E88 00000000 035ACE60  |X..`..c.....`.Z.|
0012EFF0  0012F178 6028F739 05AD4240 0012F990  |x...9.(`@B......|
0012F000  0012F044 0012F02C 60F075CA 05AD4240  |D...,....u.`@B..|
0012F010  602C6300 0012F034 0012F990 0329E820  |.c,`4....... .).|
0012F020  05AD4244 0012F054 602834D5 0329E820  |DB..T....4(` .).|
0012F030  60F075EA 036353C8 0012F08C 0012F094  |.u.`.Sc.........|
0012F040  0012FB24 60F0AA81 035E1010 60EE153D  |$......`..^.=..`|
0012F050  0012F0B0 035E1010 036353C8 0012F0B0  |......^..Sc.....|
0012F060  0012F0B8 0012F910 60EE18A6 60F3D458  |...........`X..`|
0012F070  035E8470 00000000 0012F0B0 00000000  |p.^.............|
0012F080  036353C0 035EE550 05AD4240 00000000  |.Sc.P.^.@B......|
0012F090  0012F224 0012F0BC 60F075CA 6028F7D8  |$........u.`..(`|
0012F0A0  035EAAD0 00000000 0012F234 602B818F  |..^.....4.....+`|

Called from 6028352F (0001:000B252F in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F0A8  0012F234 602B818F 035EE550 00000003  |4.....+`P.^.....|
0012F0B8  0012F910 035E8470 03631FB8 00000002  |....p.^...c.....|
0012F0C8  0012FAE4 00000000 0012F82C 0012F910  |........,.......|
0012F0D8  0012F130 0012FAC8 60EE18A6 036353C8  |0..........`.Sc.|
0012F0E8  035C62F0 0012F128 0012F128 00000000  |.b\.(...(.......|
0012F0F8  036353C0 00000000 00000000 00000000  |.Sc.............|
0012F108  00000000 035ACE60 60F0AA81 035E1010  |....`.Z....`..^.|
0012F118  60EE153D 0012F17C 035E1010 036353C8  |=..`|.....^..Sc.|
0012F128  0012F17C 0012F184 0012FB24 60EE18A6  ||.......$......`|
0012F138  60F3D458 035E8470 00000000 0012F17C  |X..`p.^.....|...|
0012F148  00000000 036353C0 00000000 00000000  |.....Sc.........|
0012F158  00000000 00000000 0012F188 03631E88  |..............c.|
0012F168  60F3D458 03631E88 00000000 035ACE60  |X..`..c.....`.Z.|
0012F178  0012F300 602B822C 035C62F0 035A1AB0  |....,.+`.b\...Z.|
0012F188  0012FB24 60F075EA 03631E80 602B82EC  |$....u.`..c...+`|
0012F198  00000000 0012F8F8 0012FB24 035A1AB0  |........$.....Z.|
0012F1A8  60F0AA81 035E1010 60EE153D 0012F214  |...`..^.=..`....|
0012F1B8  035E1010 036353C8 0012F214 0012F21C  |..^..Sc.........|
0012F1C8  0012FB24 60EE18A6 60F3D458 035E8470  |$......`X..`p.^.|
0012F1D8  00000000 0012F214 036353C8 0012F238  |.........Sc.8...|
0012F1E8  0012F240 0012F910 60EE18A6 036353C8  |@..........`.Sc.|
0012F1F8  03631F60 0012F238 0012F238 00000000  |`.c.8...8.......|
0012F208  00000001 00000000 00000000 00000000  |................|
0012F218  00000000 05AD424C 03631E88 60F3D458  |....LB....c.X..`|
0012F228  05AD4244 00000000 035ACE60 0012F3BC  |DB......`.Z.....|

Called from 602B818F (0001:000E718F in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F234  0012F3BC 602B822C 035E45A0 035A1AB0  |....,.+`.E^...Z.|
0012F244  0012F910 0012F82C 00000002 0012FAE4  |....,...........|
0012F254  00000000 0012F82C 0012F910 0012F2B8  |....,...........|
0012F264  0012FAC8 60EE18A6 036353C8 035E45A0  |.......`.Sc..E^.|
0012F274  0012F2B0 0012F2B0 00000000 036353C0  |.............Sc.|
0012F284  00000000 00000000 00000000 00000000  |................|
0012F294  035ACE60 03631F18 60F3D458 03631F18  |`.Z...c.X..`..c.|
0012F2A4  00000000 035ACE60 036353C8 0012F304  |....`.Z..Sc.....|
0012F2B4  0012F30C 0012FB24 60EE18A6 036353C8  |....$......`.Sc.|
0012F2C4  03631F60 0012F304 0012F304 00000000  |`.c.............|
0012F2D4  00000001 00000000 00000000 00000000  |................|
0012F2E4  00000000 05AD498C 03631E88 60F3D458  |.....I....c.X..`|
0012F2F4  05AD4984 00000000 035ACE60 0012F488  |.I......`.Z.....|
0012F304  602B822C 035E45A0 035A1AB0 0012FB24  |,.+`.E^...Z.$...|
0012F314  60F075EA 03631E80 602B82EC 00000000  |.u.`..c...+`....|
0012F324  0012F8F8 0012FB24 03631FB0 0012FAC8  |....$.....c.....|
0012F334  0012F478 05AD4980 0012F478 0012F460  |x....I..x...`...|
0012F344  036353C8 0012F39C 0012F3A4 0012FB24  |.Sc.........$...|
0012F354  60EE18A6 036353C8 03631F60 0012F39C  |...`.Sc.`.c.....|
0012F364  0012F39C 036353C8 0012F3C0 0012F3C8  |.....Sc.........|
0012F374  0012F910 60EE18A6 036353C8 03631F10  |.......`.Sc...c.|
0012F384  0012F3C0 0012F3C0 00000000 036353C0  |.............Sc.|
0012F394  00000000 00000000 00000000 00000000  |................|
0012F3A4  035ACE60 03631E88 60F3D458 03631E88  |`.Z...c.X..`..c.|
0012F3B4  00000000 035ACE60 0012F544 602B822C  |....`.Z.D...,.+`|

Called from 602B822C (0001:000E722C in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F3BC  0012F544 602B822C 03631FB0 035A1AB0  |D...,.+`..c...Z.|
0012F3CC  0012F910 0012F82C 00000002 0012FAE4  |....,...........|
0012F3DC  00000000 0012F82C 0012F910 0329A56C  |....,.......l.).|
0012F3EC  0000000A 0012F424 00000001 0012F420  |....$....... ...|
0012F3FC  60F3B19F 0012F424 60F37EDC 60F075EA  |...`$....~.`.u.`|
0012F40C  03594FC0 6028E345 03597AC0 0012F940  |.OY.E.(`.zY.@...|
0012F41C  00000002 60F3D474 00000000 0000003F  |....t..`....?...|
0012F42C  00000001 00000000 036353C8 0012F48C  |.........Sc.....|
0012F43C  0012F494 0012FB24 602B7044 03277AB0  |....$...Dp+`.z'.|
0012F44C  013E80E0 00000000 60F33E64 021747B0  |..>.....d>.`.G..|
0012F45C  602BAB6C 0360F550 014761C0 602B921C  |l.+`P.`..aG...+`|
0012F46C  014761C0 60228967 0360F5E0 014761C0  |.aG.g."`..`..aG.|
0012F47C  0327E830 0329A56C 0000000A 00000001  |0.'.l.).........|
0012F48C  0012F4B4 60F3B19F 0012F4B8 60F37EDC  |.......`.....~.`|
0012F49C  00000001 6022839C 013DB860 02182290  |......"``.=.."..|
0012F4AC  03634BEC 00000041 60F3D474 00000000  |.Kc.A...t..`....|
0012F4BC  0000003F 00000001 00000000 00000000  |?...............|
0012F4CC  036353C8 0012F524 0012F52C 0012FB24  |.Sc.$...,...$...|
0012F4DC  602B7044 03277AB0 013E80E0 00000000  |Dp+`.z'...>.....|
0012F4EC  60F33E64 036353C8 0012F548 0012F550  |d>.`.Sc.H...P...|
0012F4FC  0012F910 60EE18A6 036353C8 03631E80  |.......`.Sc...c.|
0012F50C  0012F548 0012F548 00000000 036353C0  |H...H........Sc.|
0012F51C  00000000 00000000 00000000 00000000  |................|
0012F52C  035ACE60 03631E88 60F3D458 03631E88  |`.Z...c.X..`..c.|
0012F53C  00000000 035ACE60 0012F6CC 602B822C  |....`.Z.....,.+`|

Called from 602B822C (0001:000E722C in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F544  0012F6CC 602B822C 03631F60 035A1AB0  |....,.+``.c...Z.|
0012F554  0012F910 0012F82C 00000002 0012FAE4  |....,...........|
0012F564  00000000 0012F82C 0012F910 0012F5E4  |....,...........|
0012F574  60F3577E 00000000 0012F844 0012F5F8  |~W.`....D.......|
0012F584  60F415D0 0012F5DC 0012F608 00000020  |...`........ ...|
0012F594  00000000 00000054 0012F910 FF7FFFFF  |....T...........|
0012F5A4  00000060 78001DE8 7803B600 0012F5EC  |`......x...x....|
0012F5B4  7800CD1B 00000009 7800CD04 00000000  |...x.......x....|
0012F5C4  0360F5E0 0012F910 0012F710 05AD4240  |..`.........@B..|
0012F5D4  0012F710 0012F6F8 0012FFB0 7800F56A  |............j..x|
0012F5E4  78033238 FFFFFFFF 0012F6D0 78001026  |82.x........&..x|
0012F5F4  6028F739 05AD4240 00000000 0360F5E0  |9.(`@B........`.|
0012F604  0012F6D0 60290F08 00000001 0012F638  |......)`....8...|
0012F614  60F3B19F 0012F63C 60F37EDC 0012F63C  |...`<....~.`<...|
0012F624  00000000 6028E47A 00000000 0360F5E0  |....z.(`......`.|
0012F634  0012F910 60F3D474 00000000 0000003F  |....t..`....?...|
0012F644  00000001 00000000 00000000 60F40000  |...............`|
0012F654  0012F790 0012F910 013EF808 013EF812  |..........>...>.|
0012F664  00000000 013EF812 0012F6B0 0012F7A8  |......>.........|
0012F674  0012F7B2 036353C8 0012F6D0 603304A9  |.....Sc.......3`|
0012F684  0360F5E0 602B3DC6 602B3DC6 03631E80  |..`..=+`.=+`..c.|
0012F694  00000000 0012F844 0012F910 0012F910  |....D...........|
0012F6A4  00000000 00000000 00000000 00000000  |................|
0012F6B4  0012F6DC 03631E88 60F3D458 03631E88  |......c.X..`..c.|
0012F6C4  00000000 035ACE60 0012F854 602B822C  |....`.Z.T...,.+`|

Called from 602B822C (0001:000E722C in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F6CC  0012F854 602B822C 03631F10 035A1AB0  |T...,.+`..c...Z.|
0012F6DC  0012F910 0012F82C 00000002 0012FAE4  |....,...........|
0012F6EC  0012F910 035B25A0 00000000 60F3D474  |.....%[.....t..`|
0012F6FC  00000000 0000003F 00000001 00000000  |....?...........|
0012F70C  00000000 035A0000 013EC390 00000001  |......Z...>.....|
0012F71C  00000002 60F096F6 035896F4 0012F770  |.......`..X.p...|
0012F72C  0012F770 035A5200 601ECA24 035D2C50  |p....RZ.$..`P,].|
0012F73C  601EC277 0012F770 0012F780 60E47BCA  |w..`p........{.`|
0012F74C  013EC394 60F1EE41 013EC394 035A5200  |..>.A..`..>..RZ.|
0012F75C  00000000 601EC269 013EC390 035B25A0  |....i..`..>..%[.|
0012F76C  035A1AB0 035A1AB0 013EC390 0360F5E0  |..Z...Z...>...`.|
0012F77C  6033DA90 035B46B0 60F075EA 60F075EA  |..3`.F[..u.`.u.`|
0012F78C  035B25A0 60F3D474 00000005 0000003F  |.%[.t..`....?...|
0012F79C  00000001 00000000 00000000 006D0069  |............i.m.|
0012F7AC  00670061 00000065 60F40000 0012F8F4  |a.g.e......`....|
0012F7BC  0000003F 00000000 05AD4240 0012FB24  |?.......@B..$...|
0012F7CC  028F8974 00000000 78001DE8 7803B600  |t..........x...x|
0012F7DC  0012F820 7800CC63 00000009 7800CC4A  | ...c..x....J..x|
0012F7EC  00000000 05AD4240 0012FB24 00000000  |....@B..$.......|
0012F7FC  0012F9A8 0012FB24 00801E7C 6028F739  |....$...|...9.(`|
0012F80C  05AD4240 0012FFB0 7800F56A 78033250  |@B......j..xP2.x|
0012F81C  FFFFFFFF 0012F9B8 78001F5F 00000000  |........_..x....|
0012F82C  05AD4244 00000001 00000000 03631E80  |DB............c.|
0012F83C  05AD424C 0360F5E8 60F3D458 03631E80  |LB....`.X..`..c.|
0012F84C  00000000 03631E88 0012F884 603410FD  |......c.......4`|

Called from 602B822C (0001:000E722C in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F854  0012F884 603410FD 03631E80 035A1AB0  |......4`..c...Z.|
0012F864  05AD424C 0012F82C 00000001 0012FAE4  |LB..,...........|
0012F874  0000012D 03627CD0 0012FB24 035B25A0  |-....|b.$....%[.|

Called from 603410FD (0001:000200FD in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012F884  0012F89C 60341040 03627CD8 00000000  |....@.4`.|b.....|
0012F894  00000001 0012FAE4 0012F960 60286BC9  |........`....k(`|

Called from 60341040 (0001:00020040 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012F89C  0012F960 60286BC9 035B25A0 0012F910  |`....k(`.%[.....|
0012F8AC  0280CCB4 0360F5E0 00000001 0012FAE4  |......`.........|
0012F8BC  00000000 0012FB24 03627CD8 035A51C0  |....$....|b..QZ.|
0012F8CC  00000000 00000000 00000000 603413C7  |..............4`|
0012F8DC  035A5BE0 00000000 00000000 60340671  |.[Z.........q.4`|
0012F8EC  035B25A8 60F0B4DC 602575B3 035ED580  |.%[....`.u%`..^.|
0012F8FC  035AEAB0 602575BA 00000002 602572CD  |..Z..u%`.....r%`|
0012F90C  602572D2 0000000A 00000147 00000078  |.r%`....G...x...|
0012F91C  0000005A 00000008 00000006 602888B6  |Z.............(`|
0012F92C  00000002 03627CD8 00000000 0363EEE4  |.....|b.......c.|
0012F93C  00000000 00000000 00000000 00000000  |................|
0012F94C  00000000 00000001 0280A930 00000000  |........0.......|
0012F95C  0360F5E0 0012F9B8 60285EBC 035B25A0  |..`......^(`.%[.|

Called from 60286BC9 (0001:000B5BC9 in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F960  0012F9B8 60285EBC 035B25A0 035A1AB0  |.....^(`.%[...Z.|
0012F970  0012FB24 0012FAE4 0012FB24 035B25A0  |$.......$....%[.|
0012F980  00000000 027B526C 0012F9C0 60330AF3  |....lR{.......3`|
0012F990  0280CCB4 60F075EA 035B25A0 60330B15  |.....u.`.%[...3`|
0012F9A0  0012FB24 035B25A0 00000000 00000034  |$....%[.....4...|
0012F9B0  00000000 03631E88 0012F9E8 60341191  |......c.......4`|

Called from 60285EBC (0001:000B4EBC in gkcontent.dbg)  Base=0x601d0000
RVA=0x00001000
0012F9B8  0012F9E8 60341191 03627CD8 035A1AB0  |......4`.|b...Z.|
0012F9C8  0012FB24 0280CCB4 0012FAE4 0363EB60  |$...........`.c.|
0012F9D8  0012FB24 027B526C 035B25A4 0360F5E0  |$...lR{..%[...`.|

Called from 60341191 (0001:00020191 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012F9E8  0012FA20 60340FB6 03627CD8 0363EB60  | .....4`.|b.`.c.|
0012F9F8  00000001 0012FAE4 0363EB60 0012FB24  |........`.c.$...|
0012FA08  00000000 00000078 0000005A 027B526C  |....x...Z...lR{.|
0012FA18  03627CD8 00000000 0012FA6C 60471425  |.|b.....l...%.G`|

Called from 60340FB6 (0001:0001FFB6 in gklayout.dbg)  Base=0x60320000 RVA=0x00001000
0012FA20  0012FA6C 60471425 035B25A0 0363EB60  |l...%.G`.%[.`.c.|
0012FA30  0012FB24 0012FAE4 00000001 0012FAB8  |$...............|
0012FA40  00000000 00000000 0012FB24 00000000  |........$.......|
0012FA50  00000000 00000000 00000000 00000078  |............x...|
0012FA60  0000005A 00000000 035B25A4 0012FACC  |Z........%[.....|

Called from 60471425 (0001:00000425 in gkview.dbg)  Base=0x60470000 RVA=0x00001000
0012FA6C  0012FACC 604773AA 00000000 0012FB24  |.....sG`....$...|
0012FA7C  0000001C 0012FAE4 00000001 0012FAB8  |................|
0012FA8C  0363EEE4 0012FB24 0363EEE0 0012FAB4  |..c.$.....c.....|
0012FA9C  60485A89 80000000 604724F6 00000000  |.ZH`.....$G`....|
0012FAAC  00000000 00002094 0000199B 00000001  |..... ..........|
0012FABC  3D888889 41700000 6047C258 0363EB60  |...=..pAX.G``.c.|

Called from 604773AA (0001:000063AA in gkview.dbg)  Base=0x60470000 RVA=0x00001000
0012FACC  0012FAE8 60471D74 00000078 00000006  |....t.G`x.......|
0012FADC  0012FAE4 0012FB14 00000000 0012FB0C  |................|

Called from 60471D74 (0001:00000D74 in gkview.dbg)  Base=0x60470000 RVA=0x00001000
0012FAE8  0012FB0C 60485523 035A5BE0 00000000  |....#UH`.[Z.....|
0012FAF8  0000012D 60485569 0363EEE4 0012FB24  |-...iUH`..c.$...|
0012FB08  0012FB14 0012FBA4 60488386 00000000  |..........H`....|

Called from 60485523 (0001:00004523 in gkwidget.dbg)  Base=0x60480000 RVA=0x00001000
0012FB0C  0012FBA4 60488386 00000000 00000001  |......H`........|
0012FB1C  0363EEE0 00000000 0000000A 0000012D  |..c.........-...|
0012FB2C  00000078 0000005A 00000008 00000006  |x...Z...........|
0012FB3C  09985D03 00000000 77E71962 004F75C0  |.]......b..w.uO.|
0012FB4C  0363EEE4 0012FB7C 00000000 00000000  |..c.|...........|
0012FB5C  00000000 00000000 00000001 00000000  |................|
0012FB6C  0012FD50 77F763EF 0012FB7C 00000018  |P....c.w|.......|
0012FB7C  004F0202 00000000 00060008 00000000  |..O.............|
0012FB8C  6048596D 77E712D9 00000036 00000008  |mYH`...w6.......|
0012FB9C  09985D03 00000000 0012FD50 60488751  |.]......P...Q.H`|

Called from 60488386 (0001:00007386 in gkwidget.dbg)  Base=0x60480000 RVA=0x00001000
0012FBA4  0012FD50 60488751 0000012D 00000000  |P...Q.H`-.......|
0012FBB4  0363EEE0 60487969 0000012D 00000000  |..c.iyH`-.......|
0012FBC4  00060008 0363EEE0 00000202 00000018  |......c.........|
0012FBD4  004F92C8 00000020 001E0218 02010001  |..O. ...........|
0012FBE4  6048596D 77E712D9 77E714C2 001E0218  |mYH`...w...w....|
0012FBF4  00000020 001E0218 02010001 00000000  | ...............|
0012FC04  0000029E 00000001 02010001 60485A48  |............HZH`|
0012FC14  00000020 00000000 7FFDE044 00000000  | .......D.......|
0012FC24  00000000 00000000 0012FC48 77E71350  |........H...P..w|
0012FC34  004F75C0 00000020 001E0218 02010001  |.uO. ...........|
0012FC44  00000001 0012FC64 60485A89 001E0218  |....d....ZH`....|
0012FC54  00000020 001E0218 02010001 00000020  | ........... ...|
0012FC64  0012FC80 77E72C6A 001E0218 00000020  |....j,.w.... ...|
0012FC74  001E0218 02010001 60485A48 0012FCA0  |........HZH`....|
0012FC84  77E72CF5 60485A48 001E0218 00000020  |.,.wHZH`.... ...|
0012FC94  001E0218 02010001 00000001 0012FCD8  |................|
0012FCA4  60485A35 60485A48 001E0218 60F075EA  |5ZH`HZH`.....u.`|
0012FCB4  0363EEE4 00060008 60485A48 00000201  |..c.....HZH`....|
0012FCC4  004D7838 60F3D458 0363EEE4 00000000  |8xM.X..`..c.....|
0012FCD4  00000000 0012FCF4 77E71350 004F75C0  |........P..w.uO.|
0012FCE4  00000201 00000001 00060008 00000001  |................|
0012FCF4  0012FD10 60485A89 001E0218 00000201  |.....ZH`........|
0012FD04  00000001 00060008 00000201 0012FD2C  |............,...|
0012FD14  60481971 0363EEE4 0012FD74 00060008  |q.H`..c.t.......|
0012FD24  60484FEA 0363EEE4 60495828 0012FD60  |.OH`..c.(XI``...|
0012FD34  60F075CA 0363EEE4 60495828 0012FD60  |.u.`..c.(XI``...|
0012FD44  0012FD98 00000001 00000000 0012FD84  |................|

Called from 60488751 (0001:00007751 in gkwidget.dbg)  Base=0x60480000 RVA=0x00001000
0012FD50  0012FD84 60485A16 00000202 00000000  |.....ZH`........|
0012FD60  00060008 0012FD80 004F75C0 0012FDCC  |.........uO.....|
0012FD70  00000000 60F3D458 0363EEE4 00000000  |....X..`..c.....|
0012FD80  00000000 0012FDD4 77E7124C 001E0218  |........L..w....|

Called from 60485A16 (0001:00004A16 in gkwidget.dbg)  Base=0x60480000 RVA=0x00001000
0012FD84  0012FDD4 77E7124C 001E0218 00000202  |....L..w........|
0012FD94  00000000 0363EEE4 0012FE00 00000000  |......c.........|
0012FDA4  77E7198F 008E2160 77E71EE0 0012FDCC  |...w`!.....w....|
0012FDB4  00000001 6048B93D 0012FDCC 00000000  |....=.H`........|
0012FDC4  80000000 00810F00 001E0218 00000202  |................|

Called from 77E7124C (0001:0000024C in dll\user32.dbg)  Base=0x77e70000
RVA=0x00001000


State Dump for Thread ID 0xBA

EAX: 2AC76000 EBX: 00000000 ECX: 00B1FFA8 EDX: 00000000 ESI: 0000003C EDI: 00B1FED0
EIP: 77F682DB ESP: 00B1FEB4 EBP: 00B1FED8 IOPL: 0         nv up ei pl nz na po nc
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 0038  GS: 0000             EFL: 00000206


---------- Code Disassembly ----------
function: <nosymbols>+0000
        77f682bb c20800           ret     0x8
        77f682be 8bc0             mov     eax,eax
        77f682c0 b8c4000000       mov     eax,0xc4
        77f682c5 8d542404         lea     edx,[esp+0x4]         
ss:022bead3=74006500
        77f682c9 cd2e             int     2e
        77f682cb c21400           ret     0x14
        77f682ce 8bc0             mov     eax,eax
        77f682d0 b8c5000000       mov     eax,0xc5
        77f682d5 8d542404         lea     edx,[esp+0x4]         
ss:022bead3=74006500
        77f682d9 cd2e             int     2e
        77f682db c20c00           ret     0xc
        77f682de 8bc0             mov     eax,eax
        77f682e0 b8c6000000       mov     eax,0xc6
        77f682e5 8d542404         lea     edx,[esp+0x4]         
ss:022bead3=74006500
        77f682e9 cd2e             int     2e
        77f682eb c20400           ret     0x4
        77f682ee 8bc0             mov     eax,eax
        77f682f0 b8c7000000       mov     eax,0xc7
        77f682f5 8d542404         lea     edx,[esp+0x4]         
ss:022bead3=74006500
        77f682f9 cd2e             int     2e
        77f682fb c20400           ret     0x4
        77f682fe 8bc0             mov     eax,eax

---------- Top of the Stack ----------
00B1FEB4  77F1CCA0 0000003C 00000000 00B1FED0  |...w<...........|
00B1FEC4  00813F54 00813D10 00813F8C DC3CBA00  |T?...=...?....<.|
00B1FED4  FFFFFFFF 0000EA60 77F04F37 0000003C  |....`...7O.w<...|

---------- Stack Back Trace ----------
Stopped at 77F682DB (0001:000072DB in dll\ntdll.dbg)  Base=0x77f60000 RVA=0x00001000
00B1FED8  0000EA60 77F04F37 0000003C 0000EA60  |`...7O.w<...`...|
00B1FEE8  00000000 60E56C0C 0000003C 0000EA60  |.....l.`<...`...|
00B1FEF8  00813F70 00813D10 00B1FF60 00813F70  |p?...=..`...p?..|
00B1FF08  60E52A8C 00813F54 00813F8C 0044460C  |.*.`T?...?...FD.|
00B1FF18  60E53080 0044460C 60E52D33 00813D10  |.0.`.FD.3-.`.=..|
00B1FF28  00813EE0 00813F70 0044460C 00812090  |.>..p?...FD.. ..|
00B1FF38  60F06E30 00813EE0 0044460C 00813DB8  |0n.`.>...FD..=..|
00B1FF48  0081207C 00813BF0 00B1FFB8 00813BF0  || ...;.......;..|

Called from 77F04F37 (0001:00003F37 in dll\kernel32.dbg)  Base=0x77f00000
RVA=0x00001000


State Dump for Thread ID 0xB1

EAX: 000000C0 EBX: 00000000 ECX: 77F85048 EDX: 00000000 ESI: 00000000 EDI: 000000A0
EIP: 77F682DB ESP: 00D1FF44 EBP: 00D1FF98 IOPL: 0         nv up ei ng nz ac pe cy
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 003B  GS: 0000             EFL: 00000293


---------- Code Disassembly ----------
function: <nosymbols>+0000
        77f682bb c20800           ret     0x8
        77f682be 8bc0             mov     eax,eax
        77f682c0 b8c4000000       mov     eax,0xc4
        77f682c5 8d542404         lea     edx,[esp+0x4]         
ss:024beb63=????????
        77f682c9 cd2e             int     2e
        77f682cb c21400           ret     0x14
        77f682ce 8bc0             mov     eax,eax
        77f682d0 b8c5000000       mov     eax,0xc5
        77f682d5 8d542404         lea     edx,[esp+0x4]         
ss:024beb63=????????
        77f682d9 cd2e             int     2e
        77f682db c20c00           ret     0xc
        77f682de 8bc0             mov     eax,eax
        77f682e0 b8c6000000       mov     eax,0xc6
        77f682e5 8d542404         lea     edx,[esp+0x4]         
ss:024beb63=????????
        77f682e9 cd2e             int     2e
        77f682eb c20400           ret     0x4
        77f682ee 8bc0             mov     eax,eax
        77f682f0 b8c7000000       mov     eax,0xc7
        77f682f5 8d542404         lea     edx,[esp+0x4]         
ss:024beb63=????????
        77f682f9 cd2e             int     2e
        77f682fb c20400           ret     0x4
        77f682fe 8bc0             mov     eax,eax

---------- Stack Back Trace ----------
Stopped at 77F682DB (0001:000072DB in dll\ntdll.dbg)  Base=0x77f60000 RVA=0x00001000
00D1FF98  00D1FFEC 77661E92 000000A0 FFFFFFFF  |......fw........|
00D1FFA8  00000003 00000004 7FFDF000 0012F2CC  |................|
00D1FFB8  00000000 77F04EDE 00000000 7FFDF000  |.....N.w........|
00D1FFC8  0012F2CC 00000000 0012F2CC 00D1FFC4  |................|
00D1FFD8  77F4548A FFFFFFFF 77F3B944 77F3D238  |.T.w....D..w8..w|
00D1FFE8  00000000 00000000 00000000 77661E66  |............f.fw|

Called from 77661E92 (0001:00000E92 in dll\msafd.dbg)  Base=0x77660000
RVA=0x00001000


State Dump for Thread ID 0x93

EAX: 0279E000 EBX: 7766B100 ECX: 02240318 EDX: 00000000 ESI: 00144AB8 EDI: 000000A4
EIP: 77F682DB ESP: 00E1FA08 EBP: 00E1FA5C IOPL: 0         nv up ei ng nz ac pe cy
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 0038  GS: 0000             EFL: 00000293


---------- Code Disassembly ----------
function: <nosymbols>+0000
        77f682bb c20800           ret     0x8
        77f682be 8bc0             mov     eax,eax
        77f682c0 b8c4000000       mov     eax,0xc4
        77f682c5 8d542404         lea     edx,[esp+0x4]         
ss:025be627=????????
        77f682c9 cd2e             int     2e
        77f682cb c21400           ret     0x14
        77f682ce 8bc0             mov     eax,eax
        77f682d0 b8c5000000       mov     eax,0xc5
        77f682d5 8d542404         lea     edx,[esp+0x4]         
ss:025be627=????????
        77f682d9 cd2e             int     2e
        77f682db c20c00           ret     0xc
        77f682de 8bc0             mov     eax,eax
        77f682e0 b8c6000000       mov     eax,0xc6
        77f682e5 8d542404         lea     edx,[esp+0x4]         
ss:025be627=????????
        77f682e9 cd2e             int     2e
        77f682eb c20400           ret     0x4
        77f682ee 8bc0             mov     eax,eax
        77f682f0 b8c7000000       mov     eax,0xc7
        77f682f5 8d542404         lea     edx,[esp+0x4]         
ss:025be627=????????
        77f682f9 cd2e             int     2e
        77f682fb c20400           ret     0x4
        77f682fe 8bc0             mov     eax,eax

---------- Top of the Stack ----------
00E1FA08  776689CE 000000A4 00000001 00E1FA34  |..fw........4...|
00E1FA18  00E1FC20 00E1FD24 00E1FA9C 1C01A4D0  | ...$...........|
00E1FA28  01C120F1 FFFFFFFF 7FFFFFFF FFFFFFFF  |. ..............|
00E1FA38  7FFFFFFF 00000000 00E1FFA8 77669860  |............`.fw|
00E1FA48  776649C3 0000009C 00000000 00000000  |.Ifw............|
00E1FA58  00000000 00E1FB84 77664A12 000000A4  |.........Jfw....|

---------- Stack Back Trace ----------
Stopped at 77F682DB (0001:000072DB in dll\ntdll.dbg)  Base=0x77f60000 RVA=0x00001000
00E1FA5C  00E1FB84 77664A12 000000A4 0000009C  |.....Jfw........|
00E1FA6C  00000001 00000004 00144B98 00E1FD24  |.........K..$...|
00E1FA7C  00143048 EB236C80 FFFFFFFF 00000001  |H0...l#.........|
00E1FA8C  00E1FA00 0000009C 00000019 00E1FAB0  |................|
00E1FA9C  00000001 00E1FABC 00E1FAB8 00000000  |................|
00E1FAAC  00000000 00000400 00E1FB44 00000000  |........D.......|
00E1FABC  00000001 00E1FB44 00000000 00000010  |....D...........|
00E1FACC  00E1FB44 00000400 00000000 00000400  |D...............|
00E1FADC  008FDC30 008FDD40 00E1FB44 00000023  |0...@...D...#...|
00E1FAEC  FF676980 00E1FB44 00000000 FFFFFFF6  |.ig.D...........|
00E1FAFC  00000001 00000000 008FDEE4 00000000  |................|
00E1FB0C  60E510D8 008FDC30 00E1FB44 00000400  |...`0...D.......|
00E1FB1C  00000000 FFFFFFFF 00E1FA88 0000002C  |............,...|
00E1FB2C  00000103 00E1FA90 60E442DD 008FDC30  |.........B.`0...|
00E1FB3C  00E1FB44 00000400 77F8F238 00130000  |D.......8..w....|
00E1FB4C  001448E8 00000000 00E1FB48 00000023  |.H......H...#...|
00E1FB5C  00000000 00000000 00000000 00E1FA80  |................|
00E1FB6C  00E1FA74 77F64DDC 00E1FBC4 77669860  |t....M.w....`.fw|
00E1FB7C  7766A508 00000000 00E1FBD4 776B9F5F  |..fw........_.kw|

Called from 77664A12 (0001:00003A12 in dll\msafd.dbg)  Base=0x77660000
RVA=0x00001000
00E1FB84  00E1FBD4 776B9F5F 00000000 00E1FD24  |...._.kw....$...|
00E1FB94  00E1FC20 00E1FE28 00E1FC18 00E1FBB8  | ...(...........|
00E1FBA4  008FDD40 0027D387 008FDD48 0000009C  |@.....'.H.......|
00E1FBB4  00000001 00000000 00E1FBA4 7803B600  |...............x|
00E1FBC4  00E1FFA8 776BC6F0 776BD680 FFFFFFFF  |......kw..kw....|

Called from 776B9F5F (0001:00008F5F in dll\ws2_32.dbg)  Base=0x776b0000
RVA=0x00001000
Called from 60E58849 (0001:00017849 in nspr4.dbg)  Base=0x60e40000 RVA=0x00001000


State Dump for Thread ID 0x9F

EAX: 78002432 EBX: 77E726E5 ECX: 008FD7D0 EDX: 00000000 ESI: 00000000 EDI: 00F1FF44
EIP: 77E72397 ESP: 00F1FED4 EBP: 00F1FEF8 IOPL: 0         nv up ei pl zr na po nc
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 0038  GS: 0000             EFL: 00000246


---------- Code Disassembly ----------
function: <nosymbols>+0000
        77e72372 53               push    ebx
        77e72373 ff158cb1eb77     call    dword ptr [77ebb18c]  
ds:77ebb18c=00000000
        77e72379 e993feffff       jmp     77e72211
        77e7237e b89e110000       mov     eax,0x119e
        77e72383 8d542404         lea     edx,[esp+0x4]         
ss:026beaf3=00000000
        77e72387 cd2e             int     2e
        77e72389 c20c00           ret     0xc
        77e7238c b885110000       mov     eax,0x1185
        77e72391 8d542404         lea     edx,[esp+0x4]         
ss:026beaf3=00000000
        77e72395 cd2e             int     2e
        77e72397 c21400           ret     0x14
        77e7239a 64a100000000     mov     eax,fs:[00000000]     
fs:00000000=????????
        77e723a0 55               push    ebp
        77e723a1 8bec             mov     ebp,esp
        77e723a3 6aff             push    0xff
        77e723a5 68d042eb77       push    0x77eb42d0
        77e723aa 687b1beb77       push    0x77eb1b7b
        77e723af 50               push    eax
        77e723b0 8b4d08           mov     ecx,[ebp+0x8]         
ss:026beb16=0101013f
        77e723b3 64892500000000   mov     fs:[00000000],esp     
fs:00000000=????????
        77e723ba 83ec0c           sub     esp,0xc
        77e723bd 53               push    ebx

---------- Top of the Stack ----------
00F1FED4  77E72715 00F1FF44 B64C012A 00000000  |.'.wD...*.L.....|
00F1FEE4  00000000 00F1FEF4 008FD1D4 00000000  |................|
00F1FEF4  00000000 00F1FF60 607F5D64 00F1FF44  |....`...d].`D...|

---------- Stack Back Trace ----------
Stopped at 77E72397 (0001:00001397 in dll\user32.dbg)  Base=0x77e70000
RVA=0x00001000
00F1FEF8  00F1FF60 607F5D64 00F1FF44 B64C012A  |`...d].`D...*.L.|
00F1FF08  00000000 00000000 008FEED8 008FD09C  |................|
00F1FF18  008FED10 00000000 607F644F 00000000  |........Od.`....|
00F1FF28  00000000 00000000 00000000 00000000  |................|
00F1FF38  00000000 00000000 6081FD50 00000000  |........P..`....|
00F1FF48  008FEED8 008FD090 00F1FFB8 008FED10  |................|
00F1FF58  60F293CC 008FE8F0 00F1FFB8 60F29038  |...`........8..`|

Called from 607F5D64 (0001:00014D64 in necko.dbg)  Base=0x607e0000 RVA=0x00001000
00F1FF60  00F1FFB8 60F29038 008FD1D4 008FEE30  |....8..`....0...|
00F1FF70  60E536D1 008FD090 00811B20 00811B20  |.6.`.... ... ...|
00F1FF80  00000020 008FED10 7800248D 008FEE30  | ........$.x0...|
00F1FF90  00000020 00000020 008FED10 8011DDA5  | ... ...........|
00F1FFA0  00F1FF90 8011748B 00F1FFDC 7800F56A  |.....t......j..x|
00F1FFB0  780333D0 00000000 00F1FFEC 77F04EDE  |.3.x.........N.w|

Called from 60F29038 (0001:00028038 in xpcom.dbg)  Base=0x60f00000 RVA=0x00001000
00F1FFB8  00F1FFEC 77F04EDE 008FED10 00000020  |.....N.w.... ...|
00F1FFC8  00000020 008FED10 00000020 00F1FFC4  | ....... .......|
00F1FFD8  FFFFFFFF FFFFFFFF 77F3B944 77F3D238  |........D..w8..w|
00F1FFE8  00000000 00000000 00000000 78002432  |............2$.x|

Called from 77F04EDE (0001:00003EDE in dll\kernel32.dbg)  Base=0x77f00000
RVA=0x00001000


State Dump for Thread ID 0x4A

EAX: 77E160A4 EBX: 00000000 ECX: 00000FA8 EDX: 00000000 ESI: 0014C6E8 EDI: 0014CBC0
EIP: 77F67FA7 ESP: 01B3FDF0 EBP: 01B3FF90 IOPL: 0         nv up ei pl nz na pe nc
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 0038  GS: 0000             EFL: 00000202


---------- Code Disassembly ----------
function: <nosymbols>+0000
        77f67f87 c20c00           ret     0xc
        77f67f8a 8bc0             mov     eax,eax
        77f67f8c b88f000000       mov     eax,0x8f
        77f67f91 8d542404         lea     edx,[esp+0x4]         
ss:032dea0f=2dea9100
        77f67f95 cd2e             int     2e
        77f67f97 c20800           ret     0x8
        77f67f9a 8bc0             mov     eax,eax
        77f67f9c b890000000       mov     eax,0x90
        77f67fa1 8d542404         lea     edx,[esp+0x4]         
ss:032dea0f=2dea9100
        77f67fa5 cd2e             int     2e
        77f67fa7 c21000           ret     0x10
        77f67faa 8bc0             mov     eax,eax
        77f67fac b891000000       mov     eax,0x91
        77f67fb1 8d542404         lea     edx,[esp+0x4]         
ss:032dea0f=2dea9100
        77f67fb5 cd2e             int     2e
        77f67fb7 c20800           ret     0x8
        77f67fba 8bc0             mov     eax,eax
        77f67fbc b892000000       mov     eax,0x92
        77f67fc1 8d542404         lea     edx,[esp+0x4]         
ss:032dea0f=2dea9100
        77f67fc5 cd2e             int     2e
        77f67fc7 c20800           ret     0x8
        77f67fca 8bc0             mov     eax,eax

---------- Top of the Stack ----------
01B3FDF0  77E15B9F 00000118 01B3FF6C 00000000  |.[.w....l.......|
01B3FE00  00148970 0014C7C0 0014841C 00148424  |p...........$...|
01B3FE10  00000004 01921FB0 00000000 01921890  |................|
01B3FE20  014EE7FA 00400000 014EE801 019215B0  |..N...@...N.....|
01B3FE30  01921130 00000002 01921FB0 01B3FF0C  |0...............|
01B3FE40  014F7C8B FFFFFFFF 014EDC04 014EDAC3  |.|O.......N...N.|
01B3FE50  00000004 00000000 00000000 014E3886  |.............8N.|
01B3FE60  00000004 00000000 00000000 00000001  |................|
01B3FE70  00000000 00000002 001480B8 014EF086  |..............N.|
01B3FE80  014E0000 00000002 00000000 001480C0  |..N.............|
01B3FE90  7FFDF000 001480B8 014EF020 77F63E65  |........ .N.e>.w|
01B3FEA0  014E0000 00000002 00000000 01B3FF1C  |..N.............|
01B3FEB0  00000000 77F61292 77FA5560 77F61298  |.......w`U.w...w|
01B3FEC0  01B3FF30 00001000 00146720 00000000  |0....... g......|
01B3FED0  00000000 00000000 00000000 00000000  |................|
01B3FEE0  00000000 00000000 00000000 00000000  |................|
01B3FEF0  00000000 00000000 00000000 00000000  |................|
01B3FF00  00000000 01B3FEC0 00000000 FFFFFFFF  |................|
01B3FF10  77F92CD4 77F9D0E8 FFFFFFFF 00000000  |.,.w...w........|
01B3FF20  77F763D3 77F763DB 01B3FF30 00000001  |.c.w.c.w0.......|
01B3FF30  00010017 00000000 3E85E14D 00000000  |........M..>....|
01B3FF40  00000000 00008009 00000000 80A64EC8  |.............N..|
01B3FF50  0112FD64 00000000 00000001 00000000  |d...............|
01B3FF60  00000000 00000001 0112F000 00010000  |................|
01B3FF70  001486D9 001486D8 00000001 00000000  |................|
01B3FF80  01B3FE10 000085AB 00000000 00148970  |............p...|

---------- Stack Back Trace ----------
Stopped at 77F67FA7 (0001:00006FA7 in dll\ntdll.dbg)  Base=0x77f60000 RVA=0x00001000
Called from 77E15A1D (0001:00004A1D in dll\rpcrt4.dbg)  Base=0x77e10000
RVA=0x00001000


State Dump for Thread ID 0x84

EAX: 00000000 EBX: 00000000 ECX: 000007C4 EDX: 00000000 ESI: 00000204 EDI: 00000000
EIP: 77F682DB ESP: 05C9FE90 EBP: 05C9FEB4 IOPL: 0         nv up ei pl zr na po nc
CS: 001B  SS: 0023  DS: 0023  ES: 0023  FS: 0038  GS: 0000             EFL: 00000246


---------- Code Disassembly ----------
function: <nosymbols>+0000
        77f682bb c20800           ret     0x8
        77f682be 8bc0             mov     eax,eax
        77f682c0 b8c4000000       mov     eax,0xc4
        77f682c5 8d542404         lea     edx,[esp+0x4]         
ss:0743eaaf=????????
        77f682c9 cd2e             int     2e
        77f682cb c21400           ret     0x14
        77f682ce 8bc0             mov     eax,eax
        77f682d0 b8c5000000       mov     eax,0xc5
        77f682d5 8d542404         lea     edx,[esp+0x4]         
ss:0743eaaf=????????
        77f682d9 cd2e             int     2e
        77f682db c20c00           ret     0xc
        77f682de 8bc0             mov     eax,eax
        77f682e0 b8c6000000       mov     eax,0xc6
        77f682e5 8d542404         lea     edx,[esp+0x4]         
ss:0743eaaf=????????
        77f682e9 cd2e             int     2e
        77f682eb c20400           ret     0x4
        77f682ee 8bc0             mov     eax,eax
        77f682f0 b8c7000000       mov     eax,0xc7
        77f682f5 8d542404         lea     edx,[esp+0x4]         
ss:0743eaaf=????????
        77f682f9 cd2e             int     2e
        77f682fb c20400           ret     0x4
        77f682fe 8bc0             mov     eax,eax

---------- Top of the Stack ----------
05C9FE90  77F1CCA0 00000204 00000000 00000000  |...w............|
05C9FEA0  008FD534 0366CC10 008FD56C 00000001  |4.....f.l.......|
05C9FEB0  00000001 FFFFFFFF 77F04F37 00000204  |........7O.w....|

---------- Stack Back Trace ----------
Stopped at 77F682DB (0001:000072DB in dll\ntdll.dbg)  Base=0x77f60000 RVA=0x00001000
Called from 77F04F37 (0001:00003F37 in dll\kernel32.dbg)  Base=0x77f00000
RVA=0x00001000

----- System Information -----
 Computer Name: AI1
 User Name: steve
 Number of Processors: 1
 Processor Type: Intel Pentium
 Windows Version: NT 4.0 (Build 1381) - Service Pack 6
 Current Build: 1381
 Current Type: Uniprocessor Free
 Registered Organization: Applied Imagination
 Registered Owner: Lotus Notes Server

----- Task List -----
 PID    Task Name
 0x0    Idle.exe
 0x2    System.exe
 0x15   C:\WINNT\System32\smss.exe 11-18-99 11:04:00  Size: 40208
 0x1C   C:\WINNT\System32\csrss.exe 11-18-99 11:04:00  Size: 7952
 0x23   C:\WINNT\System32\winlogon.exe 11-18-99 11:04:00  Size: 192272
 0x2B   C:\WINNT\System32\services.exe 11-18-99 11:04:00  Size: 135440
 0x2E   C:\WINNT\System32\lsass.exe 11-18-99 11:04:00  Size: 10000
 0x44   C:\WINNT\System32\spoolss.exe 11-18-99 11:04:00  Size: 35600
 0x45   c:\ln4\nSERVICE.exe 11-11-99 09:01:32  Size: 53148
 0x53   C:\WINNT\System32\RpcSs.exe 11-18-99 11:04:00  Size: 104720
 0x56   C:\WINNT\System32\AtSvc.exe 11-18-99 11:04:00  Size: 22800
 0x5A   C:\WINNT\System32\tcpsvcs.exe 08-09-96 01:30:00  Size: 21264
 0x6A   C:\WINNT\System32\pstores.exe 11-18-99 11:04:00  Size: 81680
 0x65   c:\ln4\nSERVER.exe 11-11-99 09:00:34  Size: 41720
 0x76   c:\ln4\nReplica.exe 11-11-99 08:56:32  Size: 101860
 0x3B   c:\ln4\nRouter.exe 11-11-99 08:57:20  Size: 217988
 0x9A   c:\ln4\nUpdate.exe 11-11-99 09:11:52  Size: 152864
 0x7C   c:\ln4\nStats.exe 11-11-99 09:11:28  Size: 110432
 0x96   c:\ln4\nAMgr.exe 11-11-99 08:25:04  Size: 216116
 0x47   c:\ln4\nAMgr.exe 11-11-99 08:25:04  Size: 216116
 0x74   c:\ln4\nAdminp.exe 11-11-99 08:24:50  Size: 268956
 0x9C   c:\ln4\nSched.exe 11-11-99 08:57:58  Size: 151512
 0x3F   c:\ln4\nCalConn.exe 11-11-99 08:58:10  Size: 96932
 0xA1   seti.exe
 0xA3   c:\ln4\nReport.exe 11-11-99 08:56:56  Size: 182988
 0x3E   C:\WINNT\System32\nddeagnt.exe 11-18-99 11:04:00  Size: 14096
 0x83   C:\WINNT\Explorer.exe 11-18-99 11:04:00  Size: 237328
 0xC2   C:\WINNT\System32\SysTray.exe 08-09-96 01:30:00  Size: 33040
 0xA6   C:\WINNT\SOINTGR.exe 05-08-100 05:20:00  Size: 20480
 0xBB   C:\WINNT\System32\HPJETDSC.exe 03-28-100 16:24:12  Size: 25088
 0x62   d4.exe
 0xB6   d:\Program Files\mozilla.org\Mozilla\mozilla.exe 08-01-101 12:05:00 
Size: 349792
 0x61   talkback.exe
 0x8D   c:\ln4\qnc.exe 11-11-99 08:55:46  Size: 221384
 0x0    _Total.exe

----- Module List -----
     Loaded Address    Module Name
 (00400000 - 00457000) mozilla.dbg
 (014E0000 - 01506000) fullsoft.dbg
 (20420000 - 2042B000) C:\WINNT\TRAYHOOK.dll 05-08-100 05:20:00  Size: 45056
 (60060000 - 60096000) appcomps.dbg
 (600A0000 - 600B0000) appshell.dbg
 (600B0000 - 600BC000) caps.dbg
 (600C0000 - 600CD000) chardet.dbg
 (600F0000 - 600FF000) chrome.dbg
 (60100000 - 6010B000) cookie.dbg
 (60110000 - 60126000) docshell.dbg
 (60130000 - 60190000) editor.dbg
 (60190000 - 6019D000) embedcomponents.dbg
 (601C0000 - 601C5000) gfx2.dbg
 (601D0000 - 602FC000) gkcontent.dbg
 (60300000 - 6031C000) gkgfxwin.dbg
 (60320000 - 60403000) gklayout.dbg
 (60410000 - 6044A000) gkparser.dbg
 (60450000 - 60468000) gkplugin.dbg
 (60470000 - 60480000) gkview.dbg
 (60480000 - 604A2000) gkwidget.dbg
 (604B0000 - 604B6000) imggif.dbg
 (604D0000 - 604D5000) imgjpeg.dbg
 (604E0000 - 604E9000) imglib2.dbg
 (60580000 - 60589000) jar50.dbg
 (60590000 - 605B7000) jsdom.dbg
 (605C0000 - 605C8000) jsloader.dbg
 (605E0000 - 605E6000) lwbrk.dbg
 (60610000 - 6062A000) mork.dbg
 (60630000 - 60637000) mozbrwsr.dbg
 (60650000 - 60659000) mozldap.dbg
 (60760000 - 60785000) msglocal.dbg
 (607E0000 - 60828000) necko.dbg
 (60840000 - 6084D000) nkcache.dbg
 (60850000 - 60856000) nsgif.dbg
 (60870000 - 6087C000) nslocale.dbg
 (608C0000 - 608CA000) oji.dbg
 (608D0000 - 60976000) pipnss.dbg
 (60990000 - 6099D000) profile.dbg
 (609A0000 - 609B7000) rdf.dbg
 (609E0000 - 609E6000) shistory.dbg
 (60A00000 - 60A08000) strres.dbg
 (60A40000 - 60A47000) txmgr.dbg
 (60A60000 - 60A6A000) ucharuti.dbg
 (60A70000 - 60A7E000) uconv.dbg
 (60AC0000 - 60AC5000) qfaservices.dll
 (60B70000 - 60B7C000) urildr.dbg
 (60B90000 - 60BA1000) wallet.dbg
 (60BB0000 - 60BBE000) webbrwsr.dbg
 (60C00000 - 60C22000) xpc3250.dbg
 (60C70000 - 60C7D000) xppref32.dbg
 (60C90000 - 60CA4000) gkgfx.dbg
 (60CB0000 - 60CBC000) img3250.dbg
 (60CE0000 - 60CF5000) jpeg3250.dbg
 (60D00000 - 60D4C000) js3250.dbg
 (60D50000 - 60D61000) jsj3250.dbg
 (60DD0000 - 60DD9000) mozreg.dbg
 (60DE0000 - 60E06000) msgbsutl.dbg
 (60E10000 - 60E33000) d:\Program Files\mozilla.org\Mozilla\NSLDAP32V40.dll
08-01-101 12:04:00  Size: 139264
 (60E40000 - 60E64000) nspr4.dbg
 (60E90000 - 60EC1000) d:\Program Files\mozilla.org\Mozilla\nssckbi.dll
08-01-101 12:04:00  Size: 200704
 (60ED0000 - 60ED7000) plc4.dbg
 (60EE0000 - 60EE6000) plds4.dbg
 (60F00000 - 60F67000) xpcom.dbg
 (60F80000 - 60F8C000) zlib.dbg
 (65340000 - 653D2000) oleaut32.dbg
 (69F00000 - 69FBA000) C:\WINNT\System32\adisynth.dll 10-19-100 14:35:52  Size:
129672
 (6BC00000 - 6BC10000) C:\WINNT\System32\SMNT40.dll 10-31-100 07:46:42  Size: 64784
 (71590000 - 71617000) COMCTL32.dbg
 (77660000 - 7766F000) dll\msafd.dbg
 (77690000 - 77699000) dll\wshtcpip.dbg
 (776A0000 - 776A7000) dll\ws2help.dbg
 (776B0000 - 776C4000) dll\ws2_32.dbg
 (776D0000 - 776D8000) dll\wsock32.dbg
 (77720000 - 77731000) dll\mpr.dbg
 (777E0000 - 777ED000) dll\samlib.dbg
 (77800000 - 7783A000) dll\netapi32.dbg
 (77840000 - 77849000) dll\NetRap.dbg
 (779B0000 - 779B9000) dll\linkinfo.dbg
 (779C0000 - 779C8000) dll\lz32.dbg
 (77A40000 - 77A4D000) dll\ntshrui.dbg
 (77A90000 - 77A9B000) dll\version.dbg
 (77B20000 - 77BD7000) dll\ole32.dbg
 (77BF0000 - 77BF7000) dll\rpcltc1.dbg
 (77C40000 - 77D7C000) dll\shell32.dbg
 (77D80000 - 77DB2000) dll\comdlg32.dbg
 (77DC0000 - 77DFF000) dll\advapi32.dbg
 (77E10000 - 77E67000) dll\rpcrt4.dbg
 (77E70000 - 77EC5000) dll\user32.dbg
 (77ED0000 - 77EFC000) dll\gdi32.dbg
 (77F00000 - 77F5E000) dll\kernel32.dbg
 (77F60000 - 77FBE000) dll\ntdll.dbg
 (77FD0000 - 77FFA000) dll\winmm.dbg
 (78000000 - 78046000) c:\ln4\MSVCRT.dll 03-19-97 20:27:06  Size: 266240

Comment 80

17 years ago
*** Bug 94857 has been marked as a duplicate of this bug. ***
*** Bug 95123 has been marked as a duplicate of this bug. ***

Comment 82

17 years ago
*** Bug 95270 has been marked as a duplicate of this bug. ***
moving these out to 0.9.5 since it doesn't look like I will have time for 0.9.4.
Target Milestone: mozilla0.9.4 → mozilla0.9.5
okay --cwozniak or jatin, could this also be added to the relnotes for 0.9.4?

Comment 85

17 years ago
*** Bug 96313 has been marked as a duplicate of this bug. ***

Comment 86

17 years ago
sairuh,
the 0.9.4 release notes bug has been created, please enter a bug description and
any workaround to the following location:
Bug 96484

Comment 87

17 years ago
*** Bug 96941 has been marked as a duplicate of this bug. ***

Comment 88

17 years ago
please note that in NS6.1 if you open the browser, then lclick on edit/preferences
you'll see the treelist collapsed. If you lclick again on edit/preferences -
without closing the preferences dialog - the preferences will stay in the
background, but if you take a look, the tree-list is now expanded and "voila"
there is a scrollbar too.

steps:

- launch netscape6
- lclick edit/preferences
- wait until preferences dialog appears
- switch to the browser window (don't close the preferences!!!)
- lclick edit/preferences
- switch to preferences dialog
- look at the tree-list
(it also works from the mail-window too)
BTW: shouldn't "preferences" be a modal dialog?

Comment 89

17 years ago
*** Bug 97411 has been marked as a duplicate of this bug. ***
*** Bug 97465 has been marked as a duplicate of this bug. ***

Comment 91

17 years ago
On build 2001082608:
When scrollbar has not appeared when it has to and direct clicking on the "+"
sign next to "Appearance" (to collapse the items below "Appearance"), Mozilla
crashes. 
This only happens with "Appearance". Closing other items the same way
(Navigator, Composer, etc), makes the scroll-bar appearing. 

After clicking on the other items (and scrollbar appearing), closing
"Appearance" has no effect anymore.

Reproducibility: always. 
I have send only one incident by the quality feedback agent. ID: TB34710445X

Comment 92

17 years ago
The crash you mentioned is already filed as Bug 86723

Comment 93

17 years ago
*** Bug 97779 has been marked as a duplicate of this bug. ***

Comment 94

17 years ago
Using modern win2000 Build ID: 2001090613.
close prefs is they're open.
edit->prefs
expand "Advanced"
expand "Privacy & security"

Result: Advanced disappear.

close "Privacy & security"

Result: Advanced reappear.

expand "Privacy & Security"

Result: Advanced does not disappear anymore, and the scrollbar appear.

Hope this helps.
We already have plenty of ways to reproduce this bug, please refrain from adding
any more.  Thanks.

Comment 96

17 years ago
sarojlll

Comment 97

17 years ago
*** Bug 99433 has been marked as a duplicate of this bug. ***

Comment 98

17 years ago
*** Bug 99573 has been marked as a duplicate of this bug. ***

Comment 99

17 years ago
*** Bug 99706 has been marked as a duplicate of this bug. ***

Comment 100

17 years ago
*** Bug 99886 has been marked as a duplicate of this bug. ***

Comment 101

17 years ago
Mass-moving lower-priority 0.9.5 bugs off to 0.9.6 to make way for remaining
0.9.4/eMojo bugs, and MachV planning, performance and feature work. If you
disagree with any of these targets, please let me know.
Target Milestone: mozilla0.9.5 → mozilla0.9.6

Comment 102

17 years ago
For your information: (Maybe this helps)
If you open the options in the preferences menu (so if you click on the arrows),
you don't see the sidebar.
But if you than close an option (click on the arrow again), then the sidebar
appears.
'Bug' also exists in the latest build : 2001091608

             Bart

Comment 103

17 years ago
*** Bug 100105 has been marked as a duplicate of this bug. ***
bryner, any progress and/or ideas on how to attack this? just curious. [it's the
#1 most frequently reported bug. woohoo!]
We aren't going to fix this in the current tree code, we're going to make
outliner support a content model and then convert prefs to outliner.

So, additional steps to reproduce this are not needed.
Depends on: 97062

Updated

17 years ago
Depends on: 99715
No longer depends on: 97062
*** Bug 101699 has been marked as a duplicate of this bug. ***

Comment 107

17 years ago
31 votes, 53 dupes. mostfreq ? [Sorry for the spaming]

Comment 108

17 years ago
For some reason, mostfreq is gone.
part of the problem, is that scrollbar that appears doesn't expand (sp?) to all
the categories if you try and open them all. so its not really fixed at all.

Comment 110

17 years ago
*** Bug 101269 has been marked as a duplicate of this bug. ***
*** Bug 103995 has been marked as a duplicate of this bug. ***

Updated

17 years ago
Blocks: 104166

Updated

17 years ago
Keywords: nsbeta1

Comment 112

17 years ago
The problem still exists on Win2000Pro build 2001101103. Actually, vertical
scrollbar appears, but only on the second time - first time, when expanding must
result in appearance of vertical scrollbar, it doesn't, and only the second time
expanding results in appearance of vertical scrollbar.

Comment 113

17 years ago
*** Bug 104407 has been marked as a duplicate of this bug. ***

Comment 114

17 years ago
*** Bug 104612 has been marked as a duplicate of this bug. ***

Comment 115

17 years ago
*** Bug 104611 has been marked as a duplicate of this bug. ***

Comment 116

17 years ago
Even if in Classic skin, on Windows 2000, it would not completely scroll down 
the the most bottom item. 

It just seems as if there is a scroll bar, but it does not completely reveal 
everything in the left panel.
I thought that I heard with this one: a rewrite of the categories view will be
to the outliner was going to take place of the current code.. is that the case?
Target Milestone: mozilla0.9.6 → mozilla0.9.8

Comment 118

17 years ago
This bug is really interesting. Though minor but please don't postpone the
Target Milestone again and again.. :P
ah yes, I see it first depends on bug 97062 which blocks bug 99715 which blocks
this one from taking place.  :)

Comment 120

17 years ago
CC: Some Netscape engineers. This bug may need to be reassigned.

Comment 121

17 years ago
*** Bug 107867 has been marked as a duplicate of this bug. ***
/QA ignore Spam,

Skewer, 

   They decided that the dependency bugs have to be completed first: bug 97062,
then the rewrite in bug 99715.  Its all part of the bigger 1.0 :) 

please take anything else to the newsgroups, dont spam this bug with comments.

/qa ignore

Comment 123

17 years ago
*** Bug 109729 has been marked as a duplicate of this bug. ***

Comment 124

17 years ago
*** Bug 109749 has been marked as a duplicate of this bug. ***
*** Bug 110743 has been marked as a duplicate of this bug. ***

Comment 126

17 years ago
*** Bug 111494 has been marked as a duplicate of this bug. ***

Comment 127

17 years ago
*** Bug 111749 has been marked as a duplicate of this bug. ***

Comment 128

17 years ago
*** Bug 111856 has been marked as a duplicate of this bug. ***

Comment 129

17 years ago
Build ID: 2001112009
In addition to the scrollbar not appearing, the category listings at the top
disappear one-by-one when you expand the categories sequentially using only the
arrow keys and then scroll down to the bottom (until you get to Offline & Disk
Space) although you can't see the category listed in the left panel, the content
of the "invisible" categories show up on the right. See next attachment.

Reproducibility: 100%

Steps to reproduce:

1) open Preferences (Edit>Preferences)
2) at the highlighted category (my Navigator category is highlighted), press the
right arrow key (expanding the Navigator category)
3) press the down arrow key until you reach the Composer category
4) press the right arrow key (expanding the Composer category)
5) press the down arrow key until you reach the Privacy & Security category
6) press the right arrow key (again, expanding)
7) notice no scrollbar & no categories/subcategories visible below Privacy &
Security>Certificates
8) press the down arrow key until you reach the (invisible) bottom category
(Offline & Disk Space)

Results: the first four category/subcategory listings are "whited-out": that is,
Appearances, Fonts, Colors & Themes disappear sequentially as you reach each
"invisible" category/subcategory below the last viewable category (in my case,
Privacy & Security>Certificates). Also, you can't click on the "whited-out"
categories with your mouse, making them inaccessible.

Expected results: aside from a scrollbar, the first four categories shouldn't
disappear, and should be clickable with mouse.

Workaround: To press the up arrow key until you reach the top... 

Comment 130

17 years ago
Created attachment 59414 [details]
screenshot of "whited-out" categories 

See my comments on how to repro this...

Comment 131

17 years ago
*** Bug 112693 has been marked as a duplicate of this bug. ***

Comment 132

17 years ago
  Using Mozilla Windows 9x version, Build ID: 2001112508, noted one accurance of
missing scrollbar while using the mail client (using two columns, without a
preview pane).  Closing the client and reopenning it resolved the scrollbar
issue, and it has not yet repeated.
That has absolutely nothing to do with this bug.

Comment 134

17 years ago
*** Bug 63236 has been marked as a duplicate of this bug. ***

Comment 135

17 years ago
Form Manager shows similar scroll bar errors, including the whiteout error:
items on the top of the list in the left frame disappear one at a time as 
you move the cursor down ( down arrow ).

Comment 136

17 years ago
This affects IM as well

Comment 137

17 years ago
aim should be using outliner. This bug will be fixed when prefs starts using 
jan's outliner content model view (he has a patch).

Comment 138

17 years ago
  Using: Build ID: 2001120512, on Linux, on PC HW.

  I ran across another instance, not yet mentioned, that might also be a
candidate for 'outliner'.

  I received an email w/ extensive To: list.  In the email browser, the
gray bar with message header information shows a [+] at this To: line.
Clicking it expands the message-header area to most of the vertical
extent of the window.  If this still isn't enough space, no scroll bar is
offered to view the rest of the list.

  The workaround I found was to hit the menu for View >> Message Source
and inspect the popped window.

  Benton  6dec01

Comment 139

17 years ago
*** Bug 114004 has been marked as a duplicate of this bug. ***
*** Bug 114083 has been marked as a duplicate of this bug. ***

Comment 141

17 years ago
*** Bug 114264 has been marked as a duplicate of this bug. ***

Comment 142

17 years ago
*** Bug 114265 has been marked as a duplicate of this bug. ***

Comment 143

17 years ago
*** Bug 115168 has been marked as a duplicate of this bug. ***

Comment 144

17 years ago
*** Bug 115581 has been marked as a duplicate of this bug. ***
*** Bug 115873 has been marked as a duplicate of this bug. ***
guys, about comments from #132, #133, #135, that is covered in bug 111101..
scrollbar issues.
*** Bug 116811 has been marked as a duplicate of this bug. ***
*** Bug 116932 has been marked as a duplicate of this bug. ***

Comment 149

17 years ago
*** Bug 117097 has been marked as a duplicate of this bug. ***

Comment 150

17 years ago
A new bug should/could be filed for the whited-out categories...

But I personally suspect it might be fixed when the scrollbar is fixed.
afaict, the reason is that the contents is scrolled, but the box isn't
(Assignee)

Comment 151

17 years ago
stealing
Assignee: bryner → varga
Status: ASSIGNED → NEW
(Assignee)

Comment 152

17 years ago
fixed
Status: NEW → RESOLVED
Last Resolved: 17 years ago
Resolution: --- → FIXED

Comment 153

17 years ago
Verified using 2002010403 on win2k.  I can't get the scrollbar to not appear.

The scrollbar actually appears too quickly, so I filed bug 118159.
Status: RESOLVED → VERIFIED

Comment 154

17 years ago
Hoooray! :)
Hope it NEVER appears again...

Comment 155

17 years ago
Verif.. - HEY - We are GLAD that it appears now !

=P

Comment 156

17 years ago
*** Bug 119183 has been marked as a duplicate of this bug. ***

Comment 157

17 years ago
*** Bug 119325 has been marked as a duplicate of this bug. ***

Comment 158

17 years ago
*** Bug 120528 has been marked as a duplicate of this bug. ***

Comment 159

17 years ago
*** Bug 122189 has been marked as a duplicate of this bug. ***

Comment 160

17 years ago
*** Bug 122486 has been marked as a duplicate of this bug. ***

Comment 161

17 years ago
*** Bug 122611 has been marked as a duplicate of this bug. ***

Comment 162

17 years ago
*** Bug 122899 has been marked as a duplicate of this bug. ***
*** Bug 128102 has been marked as a duplicate of this bug. ***

Comment 164

17 years ago
*** Bug 120577 has been marked as a duplicate of this bug. ***

Updated

10 years ago
Component: XP Toolkit/Widgets: Trees → XUL
QA Contact: jrgmorrison → xptoolkit.widgets
You need to log in before you can comment on or make changes to this bug.